
CREATE TABLE [dbo].[ADHOC_REPORT_CONFIG](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[BASE_REPORT] [nvarchar](64) NOT NULL,
	[REPORT_NAME] [nvarchar](128) NOT NULL,
	[REPORT_DESCRIPTION] [nvarchar](255) NULL,
	[USER_ID] [bigint] NULL,
	[PARAMETERS] [nvarchar](max) NOT NULL,
	[LOWER_NAME]  AS (lower([REPORT_NAME])),
	[PROJECT_ID] [bigint] NOT NULL,
	[PARENT_TOOL_ID] [nvarchar](64) NOT NULL,
 CONSTRAINT [PK_ADHOC_REPORT_CONFIG] PRIMARY KEY CLUSTERED (
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [ADHOC_REPORT_NAME_PROJECT] UNIQUE NONCLUSTERED 
(
	[BASE_REPORT] ASC,
	[PROJECT_ID] ASC,
	[REPORT_NAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY];






CREATE TABLE [dbo].[COLLABORATION_TOPIC](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[AREA] [nvarchar](64) NOT NULL,
	[TARGET_ID] [bigint] NULL,
	[TARGET_CLASS] [nvarchar](32) NULL,
	[TARGET_NAME] [nvarchar](64) NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];






CREATE TABLE [dbo].[CORE_USER](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[ADMIN] [bit] NOT NULL,
	[CREATEPROJECT] [bit] NOT NULL,
	[DISABLED] [bit] NOT NULL,
	[EMAIL] [nvarchar](255) NULL,
	[USER_ID] [nvarchar](256) NOT NULL,
	[PASSWORD] [nvarchar](255) NULL,
	[OPENID_ALIAS] [nvarchar](64) NULL,
	[OPENID_URL] [nvarchar](2048) NULL,
	[FIRST_NAME] [nvarchar](128) NULL,
	[LAST_NAME] [nvarchar](128) NULL,
	[OAUTH_RAW] [nvarchar](4000) NULL,
	[USER_NAME] [nvarchar](32) NOT NULL,
	[REMEMBER_ID] [nvarchar](64) NULL,
	[LAST_LOGIN] [datetime2](3) NULL,
	[API_KEY] [nvarchar](64) NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [CORE_USER_UNIQUE_LOGIN_OPENID] UNIQUE NONCLUSTERED 
(
	[USER_ID] ASC,
	[OPENID_ALIAS] ASC,
	[OPENID_URL] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [CORE_USER_UNIQUE_USER_NAME] UNIQUE NONCLUSTERED 
(
	[USER_NAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[CUSTOM_OBJECT]    Script Date: 8/10/2019 10:23:17 AM ******/




CREATE TABLE [dbo].[CUSTOM_OBJECT](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[OBJECT_TYPE_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[CUSTOM_OBJECT_TYPE]    Script Date: 8/10/2019 10:23:18 AM ******/




CREATE TABLE [dbo].[CUSTOM_OBJECT_TYPE](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[CLAZZ] [nvarchar](32) NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[CREATE_SUPPORT] [bit] NOT NULL,
	[UPDATE_SUPPORT] [bit] NOT NULL,
	[DELETE_SUPPORT] [bit] NOT NULL,
	[HIDDEN] [bit] NOT NULL,
	[TAB_TITLE] [nvarchar](32) NULL,
	[SYSTEM] [bit] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UNIQUE_PROJECT_ID_OBJECT_NAME] UNIQUE NONCLUSTERED 
(
	[PROJECT_ID] ASC,
	[CLAZZ] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[CUSTOMFIELD_CONFIG]    Script Date: 8/10/2019 10:23:18 AM ******/




CREATE TABLE [dbo].[CUSTOMFIELD_CONFIG](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[CLAZZ] [nvarchar](32) NOT NULL,
	[DESCRIPTION] [nvarchar](2000) NULL,
	[MAXDECIMAL] [bigint] NULL,
	[MINDECIMAL] [bigint] NULL,
	[NAME] [nvarchar](255) NOT NULL,
	[READONLY] [bit] NOT NULL,
	[REGEXP] [nvarchar](255) NULL,
	[REQUIRED] [bit] NOT NULL,
	[SYSTEM] [bit] NOT NULL,
	[TYPE] [nvarchar](255) NOT NULL,
	[PROJECT_ID] [bigint] NULL,
	[USER_ID] [bigint] NULL,
	[SUGGESTION] [nvarchar](32) NULL,
	[DOMAIN] [nvarchar](16) NULL,
	[KEY_FIELD] [tinyint] NOT NULL,
	[CUSTOM_OBJECT_TYPE] [bigint] NULL,
	[FORMAT] [nvarchar](12) NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UNIQUE_NAME_CLAZZ_PROJECT_ID] UNIQUE NONCLUSTERED 
(
	[PROJECT_ID] ASC,
	[NAME] ASC,
	[CLAZZ] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[CUSTOMFIELD_CONFIG_DISPLAY]    Script Date: 8/10/2019 10:23:18 AM ******/




CREATE TABLE [dbo].[CUSTOMFIELD_CONFIG_DISPLAY](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[EDITABLE] [bit] NOT NULL,
	[EDITORID] [nvarchar](255) NOT NULL,
	[FIXED] [bit] NOT NULL,
	[INDX] [int] NULL,
	[SHOW] [bit] NOT NULL,
	[SORTABLE] [bit] NOT NULL,
	[WIDTH] [int] NULL,
	[CONFIG_ID] [bigint] NOT NULL,
	[USER_ID] [bigint] NULL,
	[COL_SPAN] [tinyint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UNIQUE_EDITORID_USER_ID_CONFIG_ID] UNIQUE NONCLUSTERED 
(
	[USER_ID] ASC,
	[CONFIG_ID] ASC,
	[EDITORID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[CUSTOMFIELD_CONFIG_VALUES_TEXT]    Script Date: 8/10/2019 10:23:18 AM ******/




CREATE TABLE [dbo].[CUSTOMFIELD_CONFIG_VALUES_TEXT](
	[CUSTOMFIELDCONFIG_ID] [bigint] NOT NULL,
	[TEXTVALUES] [nvarchar](255) NULL
) ON [PRIMARY];

/****** Object:  Table [dbo].[CUSTOMFIELD_VALUE]    Script Date: 8/10/2019 10:23:18 AM ******/




CREATE TABLE [dbo].[CUSTOMFIELD_VALUE](
	[ENTITY_TYPE] [nvarchar](50) NOT NULL,
	[ENTITY_ID] [bigint] NOT NULL,
	[FIELD_NAME] [nvarchar](64) NOT NULL,
	[VALUE_ORDER] [smallint] NOT NULL,
	[TEXT_VALUE] [nvarchar](max) NULL,
	[INT_VALUE] [bigint] NULL,
	[FLOAT_VALUE] [real] NULL,
	[FLAG_VALUE] [tinyint] NULL,
	[TIME_VALUE] [datetime2](3) NULL,
	[UPDATED_BY] [nvarchar](15) NULL,
	[UPDATED_AT] [datetime2](3) NOT NULL,
 CONSTRAINT [PK__CUSTOMFI__D5C16A3A71D33BC0] PRIMARY KEY CLUSTERED 
(
	[ENTITY_TYPE] ASC,
	[ENTITY_ID] ASC,
	[FIELD_NAME] ASC,
	[VALUE_ORDER] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY];

/****** Object:  Table [dbo].[DB_COLUMN]    Script Date: 8/10/2019 10:23:18 AM ******/




CREATE TABLE [dbo].[DB_COLUMN](
	[DTYPE] [nvarchar](31) NOT NULL,
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[DEFAULTVALUE] [nvarchar](255) NULL,
	[EXTRADEFINITION] [nvarchar](1024) NULL,
	[NAME] [nvarchar](255) NULL,
	[NULLABLE] [bit] NOT NULL,
	[PRECESION] [int] NULL,
	[SCALE] [int] NULL,
	[SIZE] [int] NULL,
	[TYPE] [nvarchar](255) NULL,
	[PARAMTYPE] [nvarchar](255) NULL,
	[OWNER_ID] [bigint] NOT NULL,
	[COLLECTION_INDEX] [int] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[DB_CONNECTION]    Script Date: 8/10/2019 10:23:18 AM ******/




CREATE TABLE [dbo].[DB_CONNECTION](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[URL] [nvarchar](255) NULL,
	[PASSWORD] [nvarchar](255) NULL,
	[DRIVER] [nvarchar](255) NULL,
	[USERNAME] [nvarchar](255) NULL,
	[PROPERTIES] [varbinary](max) NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[NAME] [nvarchar](255) NOT NULL,
	[DISABLED] [bit] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UNIQUE_NAME_PROJECT_ID] UNIQUE NONCLUSTERED 
(
	[PROJECT_ID] ASC,
	[NAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY];

/****** Object:  Table [dbo].[DB_CONSTRAINT]    Script Date: 8/10/2019 10:23:19 AM ******/




CREATE TABLE [dbo].[DB_CONSTRAINT](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[COLUMNNAME] [nvarchar](255) NULL,
	[CONSTRAINTNAME] [nvarchar](255) NULL,
	[DEFINITION] [nvarchar](max) NULL,
	[DISABLED] [bit] NOT NULL,
	[OWNER_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY];

/****** Object:  Table [dbo].[DB_FOREIGN_KEY]    Script Date: 8/10/2019 10:23:19 AM ******/




CREATE TABLE [dbo].[DB_FOREIGN_KEY](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[DELETEACTION] [nvarchar](255) NULL,
	[DISABLED] [bit] NOT NULL,
	[NAME] [nvarchar](255) NULL,
	[TARGETTABLE] [nvarchar](255) NULL,
	[UPDATEACTION] [nvarchar](255) NULL,
	[OWNER_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[DB_INDEX]    Script Date: 8/10/2019 10:23:19 AM ******/




CREATE TABLE [dbo].[DB_INDEX](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[DISABLED] [bit] NOT NULL,
	[FILLFACTOR] [int] NOT NULL,
	[FRAGMENTATION] [real] NULL,
	[IGNOREDUPLICATES] [bit] NOT NULL,
	[INDEXSIZE] [bigint] NULL,
	[NAME] [nvarchar](255) NULL,
	[PRIMARYKEY] [bit] NOT NULL,
	[TYPE] [nvarchar](255) NULL,
	[INDEX_UNIQUE] [bit] NULL,
	[OWNER_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[DB_MODEL]    Script Date: 8/10/2019 10:23:19 AM ******/




CREATE TABLE [dbo].[DB_MODEL](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[LASTSYNCH] [datetime2](3) NOT NULL,
	[NAME] [nvarchar](255) NOT NULL,
	[DATABASE] [nvarchar](255) NULL,
	[CONNECTION_ID] [bigint] NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[VERSION] [nvarchar](255) NOT NULL,
	[CONFIG] [nvarchar](max) NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UNIQUE_MODEL_SYNC] UNIQUE NONCLUSTERED 
(
	[PROJECT_ID] ASC,
	[NAME] ASC,
	[LASTSYNCH] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UNIQUE_MODEL_VERSION] UNIQUE NONCLUSTERED 
(
	[PROJECT_ID] ASC,
	[NAME] ASC,
	[VERSION] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY];

/****** Object:  Table [dbo].[DB_MODEL_OBJECT]    Script Date: 8/10/2019 10:23:19 AM ******/




CREATE TABLE [dbo].[DB_MODEL_OBJECT](
	[DTYPE] [nvarchar](5) NOT NULL,
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[NAME] [nvarchar](255) NULL,
	[SOURCE] [nvarchar](max) NULL,
	[MODEL_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY];

/****** Object:  Table [dbo].[DBM_FEED_ITEM]    Script Date: 8/10/2019 10:23:19 AM ******/




CREATE TABLE [dbo].[DBM_FEED_ITEM](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[FEED_TYPE] [nvarchar](15) NULL,
	[SHORT_TEXT] [nvarchar](255) NOT NULL,
	[LONG_TEXT] [nvarchar](4000) NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[DBM_FILE_REF]    Script Date: 8/10/2019 10:23:19 AM ******/




CREATE TABLE [dbo].[DBM_FILE_REF](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[FILE_SIZE] [bigint] NOT NULL,
	[FILE_NAME] [nvarchar](255) NOT NULL,
	[USER_ID] [bigint] NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[TOOL_ID] [nvarchar](128) NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UNIQUE_PROJECT_ID_FILE_NAME] UNIQUE NONCLUSTERED 
(
	[PROJECT_ID] ASC,
	[FILE_NAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[DBM_SYNC_ATTRIBUTE]    Script Date: 8/10/2019 10:23:20 AM ******/




CREATE TABLE [dbo].[DBM_SYNC_ATTRIBUTE](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[ATTRIBUTE_NAME] [nvarchar](255) NULL,
	[CHANGE_TYPE] [nvarchar](255) NULL,
	[SOURCE_VALUE] [nvarchar](max) NULL,
	[TARGET_VALUE] [nvarchar](max) NULL,
	[SYNC_PAIR_ID] [bigint] NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY];

/****** Object:  Table [dbo].[DBM_SYNC_PAIR]    Script Date: 8/10/2019 10:23:20 AM ******/




CREATE TABLE [dbo].[DBM_SYNC_PAIR](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[OBJECT_TYPE] [nvarchar](255) NULL,
	[CHANGE_TYPE] [nvarchar](255) NULL,
	[SOURCE_NAME] [nvarchar](255) NULL,
	[TARGET_NAME] [nvarchar](255) NULL,
	[PARENT_PAIR_ID] [bigint] NULL,
	[SESSION_ID] [bigint] NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[SOURCE_INDEX] [int] NULL,
	[TARGET_INDEX] [int] NULL,
	[ERROR] [nvarchar](4000) NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[DBM_SYNC_SESSION]    Script Date: 8/10/2019 10:23:20 AM ******/




CREATE TABLE [dbo].[DBM_SYNC_SESSION](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[SESSION_TYPE] [nvarchar](32) NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[ROOT_PAIR_ID] [bigint] NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[DBM_TOOL_HISTORY]    Script Date: 8/10/2019 10:23:20 AM ******/




CREATE TABLE [dbo].[DBM_TOOL_HISTORY](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[FRAMEWORK_VERSION] [nvarchar](10) NOT NULL,
	[TOOL_ID] [nvarchar](64) NOT NULL,
	[PARENT_TOOL_ID] [nvarchar](64) NOT NULL,
	[TOOL_NAME] [nvarchar](64) NOT NULL,
	[TOOL_VERSION] [nvarchar](32) NOT NULL,
	[TOOL] [varbinary](max) NOT NULL,
	[PARAMETERS] [varbinary](max),
	[SERIALIZER_CLASS] [nvarchar](64) NULL,
	[EXPORT_TYPE] [nvarchar](4) NOT NULL,
	[HTML_PAGE_COUNT] [int] NULL,
	[USER_ID] [bigint] NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[STATUS] [nvarchar](9) NOT NULL,
	[START] [datetime] NULL,
	[FINISH] [datetime] NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY];

/****** Object:  Table [dbo].[DBM_TOOL_PERMISSION]    Script Date: 8/10/2019 10:23:20 AM ******/




CREATE TABLE [dbo].[DBM_TOOL_PERMISSION](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[TOOL_ID] [nvarchar](64) NOT NULL,
	[USER_ID] [bigint] NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[ACCESS_EXECUTE] [bit] NOT NULL,
	[ACCESS_VIEW_HISTORY] [bit] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UNIQUE_USER_ID_PROJECT_ID_TOOL_ID] UNIQUE NONCLUSTERED 
(
	[USER_ID] ASC,
	[PROJECT_ID] ASC,
	[TOOL_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[FOREIGNKEY_COLUMNS]    Script Date: 8/10/2019 10:23:20 AM ******/




CREATE TABLE [dbo].[FOREIGNKEY_COLUMNS](
	[FOREIGNKEY_ID] [bigint] NOT NULL,
	[SOURCECOLUMNNAME] [nvarchar](255) NULL,
	[TARGETCOLUMNNAME] [nvarchar](255) NULL
) ON [PRIMARY];

/****** Object:  Table [dbo].[INDEX_COLUMNS]    Script Date: 8/10/2019 10:23:21 AM ******/




CREATE TABLE [dbo].[INDEX_COLUMNS](
	[INDEX_ID] [bigint] NOT NULL,
	[ASC] [bit] NOT NULL,
	[INCLUDED] [bit] NOT NULL,
	[NAME] [nvarchar](255) NULL
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_APP_INSTANCE]    Script Date: 8/10/2019 10:23:21 AM ******/




CREATE TABLE [dbo].[INV_APP_INSTANCE](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[LASTSYNCH] [datetime2](3) NULL,
	[APPLICATION_ID] [bigint] NOT NULL,
	[SERVER_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_APPLICATION]    Script Date: 8/10/2019 10:23:21 AM ******/




CREATE TABLE [dbo].[INV_APPLICATION](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_APPLICATION_LINK]    Script Date: 8/10/2019 10:23:21 AM ******/




CREATE TABLE [dbo].[INV_APPLICATION_LINK](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[APPLICATION_ID] [bigint] NOT NULL,
	[JOB_ID] [bigint] NULL,
	[SECURITY_OBJECT_ID] [bigint] NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_CONTACT]    Script Date: 8/10/2019 10:23:21 AM ******/




CREATE TABLE [dbo].[INV_CONTACT](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_CONTACT_LINK]    Script Date: 8/10/2019 10:23:21 AM ******/




CREATE TABLE [dbo].[INV_CONTACT_LINK](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[CONTACT_ID] [bigint] NOT NULL,
	[APPLICATION_ID] [bigint] NULL,
	[SERVER_ID] [bigint] NULL,
	[DATABASE_ID] [bigint] NULL,
	[JOB_ID] [bigint] NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_DATABASE]    Script Date: 8/10/2019 10:23:21 AM ******/




CREATE TABLE [dbo].[INV_DATABASE](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[DATABASE_SERVER] [nvarchar](64) NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_DATABASE_USAGE]    Script Date: 8/10/2019 10:23:21 AM ******/




CREATE TABLE [dbo].[INV_DATABASE_USAGE](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[DATABASE_ID] [bigint] NOT NULL,
	[INSTALLATION_ID] [bigint] NULL,
	[APPLICATION_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_EXTERNAL_LINK]    Script Date: 8/10/2019 10:23:22 AM ******/




CREATE TABLE [dbo].[INV_EXTERNAL_LINK](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[APPLICATION_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_JOB]    Script Date: 8/10/2019 10:23:22 AM ******/




CREATE TABLE [dbo].[INV_JOB](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[DELETED] [bit] NOT NULL,
	[LAST_SYNC_DATE] [datetime2](3) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_SECURITY_OBJECT]    Script Date: 8/10/2019 10:23:22 AM ******/




CREATE TABLE [dbo].[INV_SECURITY_OBJECT](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[DELETED] [bit] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_SECURITY_OBJECT_LINK]    Script Date: 8/10/2019 10:23:22 AM ******/




CREATE TABLE [dbo].[INV_SECURITY_OBJECT_LINK](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[SOURCE_OBJECT_ID] [bigint] NOT NULL,
	[TARGET_OBJECT_ID] [bigint] NOT NULL,
	[IS_AUTO_DETECTED] [bit] NOT NULL,
	[DELETED] [bit] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[INV_SERVER]    Script Date: 8/10/2019 10:23:22 AM ******/




CREATE TABLE [dbo].[INV_SERVER](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[PERMISSION]    Script Date: 8/10/2019 10:23:22 AM ******/




CREATE TABLE [dbo].[PERMISSION](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[ROLE] [nvarchar](12) NOT NULL,
	[PROJECT_ID] [bigint] NOT NULL,
	[USER_ID] [bigint] NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UNIQUE_USER_ID_PROJECT_ID] UNIQUE NONCLUSTERED 
(
	[USER_ID] ASC,
	[PROJECT_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[PROJECT]    Script Date: 8/10/2019 10:23:22 AM ******/




CREATE TABLE [dbo].[PROJECT](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[DESCRIPTION] [nvarchar](255) NULL,
	[NAME] [nvarchar](255) NOT NULL,
	[PROJECTTYPE] [nvarchar](16) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UNIQUE_NAME] UNIQUE NONCLUSTERED 
(
	[NAME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

/****** Object:  Table [dbo].[UI_GRID_COLUMN_CONFIG]    Script Date: 8/10/2019 10:23:23 AM ******/




CREATE TABLE [dbo].[UI_GRID_COLUMN_CONFIG](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[CREATEAUTHOR] [nvarchar](15) NULL,
	[CREATED] [datetime2](3) NOT NULL,
	[UPDATEAUTHOR] [nvarchar](15) NULL,
	[UPDATED] [datetime2](3) NOT NULL,
	[USER_ID] [bigint] NULL,
	[PROJECT_ID] [bigint] NULL,
	[GRIDID] [nvarchar](64) NOT NULL,
	[INDX] [int] NOT NULL,
	[COLUMNID] [nvarchar](256) NOT NULL,
	[COLUMNTYPE] [nvarchar](8) NOT NULL,
	[WIDTH] [int] NOT NULL,
	[COLUMNDATAID] [nvarchar](256) NULL,
	[CUSTOMFIELD_CONFIG_ID] [bigint] NULL,
PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [CUI_GRID_COLUMN_CONFIG1] UNIQUE NONCLUSTERED 
(
	[USER_ID] ASC,
	[PROJECT_ID] ASC,
	[GRIDID] ASC,
	[INDX] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

ALTER TABLE [dbo].[CUSTOMFIELD_CONFIG] ADD  DEFAULT ((0)) FOR [SYSTEM];

ALTER TABLE [dbo].[ADHOC_REPORT_CONFIG]  WITH CHECK ADD  CONSTRAINT [FK_ADHOC_REPORT_CONFIG_CORE_USER_ID] FOREIGN KEY([USER_ID])
REFERENCES [dbo].[CORE_USER] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[ADHOC_REPORT_CONFIG] CHECK CONSTRAINT [FK_ADHOC_REPORT_CONFIG_CORE_USER_ID];

ALTER TABLE [dbo].[ADHOC_REPORT_CONFIG]  WITH CHECK ADD  CONSTRAINT [FK_ADHOC_REPORT_CONFIG_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[ADHOC_REPORT_CONFIG] CHECK CONSTRAINT [FK_ADHOC_REPORT_CONFIG_PROJECT_ID];

ALTER TABLE [dbo].[CUSTOM_OBJECT]  WITH CHECK ADD  CONSTRAINT [FK_CUSTOM_OBJECT_TYPE_CUSTOM_OBJECT_OBJECT_TYPE_ID] FOREIGN KEY([OBJECT_TYPE_ID])
REFERENCES [dbo].[CUSTOM_OBJECT_TYPE] ([ID])
ON UPDATE CASCADE
ON DELETE CASCADE;

ALTER TABLE [dbo].[CUSTOM_OBJECT] CHECK CONSTRAINT [FK_CUSTOM_OBJECT_TYPE_CUSTOM_OBJECT_OBJECT_TYPE_ID];

ALTER TABLE [dbo].[CUSTOM_OBJECT_TYPE]  WITH CHECK ADD  CONSTRAINT [FK_CUSTOM_OBJECT_TYPE_PROJECT_ID_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[CUSTOM_OBJECT_TYPE] CHECK CONSTRAINT [FK_CUSTOM_OBJECT_TYPE_PROJECT_ID_PROJECT_ID];

ALTER TABLE [dbo].[CUSTOMFIELD_CONFIG]  WITH CHECK ADD  CONSTRAINT [FK_CORE_USER_CUSTOMFIELD_CONFIG_USER_ID] FOREIGN KEY([USER_ID])
REFERENCES [dbo].[CORE_USER] ([ID]);

ALTER TABLE [dbo].[CUSTOMFIELD_CONFIG] CHECK CONSTRAINT [FK_CORE_USER_CUSTOMFIELD_CONFIG_USER_ID];

ALTER TABLE [dbo].[CUSTOMFIELD_CONFIG_DISPLAY]  WITH CHECK ADD  CONSTRAINT [FK_CORE_USER_CUSTOMFIELD_CONFIG_DISPLAY_USER_ID] FOREIGN KEY([USER_ID])
REFERENCES [dbo].[CORE_USER] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[CUSTOMFIELD_CONFIG_DISPLAY] CHECK CONSTRAINT [FK_CORE_USER_CUSTOMFIELD_CONFIG_DISPLAY_USER_ID];

ALTER TABLE [dbo].[CUSTOMFIELD_CONFIG_DISPLAY]  WITH CHECK ADD  CONSTRAINT [FK_CUSTOMFIELD_CONFIG_CUSTOMFIELD_CONFIG_DISPLAY_CONFIG_ID] FOREIGN KEY([CONFIG_ID])
REFERENCES [dbo].[CUSTOMFIELD_CONFIG] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[CUSTOMFIELD_CONFIG_DISPLAY] CHECK CONSTRAINT [FK_CUSTOMFIELD_CONFIG_CUSTOMFIELD_CONFIG_DISPLAY_CONFIG_ID];

ALTER TABLE [dbo].[CUSTOMFIELD_CONFIG_VALUES_TEXT]  WITH CHECK ADD  CONSTRAINT [FK_CUSTOMFIELD_CONFIG_CUSTOMFIELD_CONFIG_VALUES_TEXT_CUSTOMFIELDCONFIG_ID] FOREIGN KEY([CUSTOMFIELDCONFIG_ID])
REFERENCES [dbo].[CUSTOMFIELD_CONFIG] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[CUSTOMFIELD_CONFIG_VALUES_TEXT] CHECK CONSTRAINT [FK_CUSTOMFIELD_CONFIG_CUSTOMFIELD_CONFIG_VALUES_TEXT_CUSTOMFIELDCONFIG_ID];

ALTER TABLE [dbo].[DB_CONNECTION]  WITH CHECK ADD  CONSTRAINT [FK_PROJECT_DB_CONNECTION_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[DB_CONNECTION] CHECK CONSTRAINT [FK_PROJECT_DB_CONNECTION_PROJECT_ID];

ALTER TABLE [dbo].[DB_MODEL]  WITH CHECK ADD  CONSTRAINT [FK_PROJECT_DB_MODEL_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[DB_MODEL] CHECK CONSTRAINT [FK_PROJECT_DB_MODEL_PROJECT_ID];

ALTER TABLE [dbo].[DB_MODEL_OBJECT]  WITH CHECK ADD  CONSTRAINT [FK_DB_MODEL_DB_MODEL_OBJECT_MODEL_ID] FOREIGN KEY([MODEL_ID])
REFERENCES [dbo].[DB_MODEL] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[DB_MODEL_OBJECT] CHECK CONSTRAINT [FK_DB_MODEL_DB_MODEL_OBJECT_MODEL_ID];

ALTER TABLE [dbo].[DBM_FILE_REF]  WITH CHECK ADD  CONSTRAINT [FK_DBM_FILE_REF_PROJECT_ID_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[DBM_FILE_REF] CHECK CONSTRAINT [FK_DBM_FILE_REF_PROJECT_ID_PROJECT_ID];

ALTER TABLE [dbo].[DBM_FILE_REF]  WITH CHECK ADD  CONSTRAINT [FK_DBM_FILE_REF_USER_ID_CORE_USER_ID] FOREIGN KEY([USER_ID])
REFERENCES [dbo].[CORE_USER] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[DBM_FILE_REF] CHECK CONSTRAINT [FK_DBM_FILE_REF_USER_ID_CORE_USER_ID];

ALTER TABLE [dbo].[DBM_SYNC_SESSION]  WITH CHECK ADD  CONSTRAINT [FK_PROJECT_DBM_SYNC_SESSION_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[DBM_SYNC_SESSION] CHECK CONSTRAINT [FK_PROJECT_DBM_SYNC_SESSION_PROJECT_ID];

ALTER TABLE [dbo].[DBM_TOOL_HISTORY]  WITH CHECK ADD  CONSTRAINT [FK_DBM_TOOL_HISTORY_PROJECT_ID_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[DBM_TOOL_HISTORY] CHECK CONSTRAINT [FK_DBM_TOOL_HISTORY_PROJECT_ID_PROJECT_ID];

ALTER TABLE [dbo].[DBM_TOOL_HISTORY]  WITH CHECK ADD  CONSTRAINT [FK_DBM_TOOL_HISTORY_USER_ID_CORE_USER_ID] FOREIGN KEY([USER_ID])
REFERENCES [dbo].[CORE_USER] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[DBM_TOOL_HISTORY] CHECK CONSTRAINT [FK_DBM_TOOL_HISTORY_USER_ID_CORE_USER_ID];

ALTER TABLE [dbo].[DBM_TOOL_PERMISSION]  WITH CHECK ADD  CONSTRAINT [FK_DBM_TOOL_PERMISSION_PROJECT_ID_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[DBM_TOOL_PERMISSION] CHECK CONSTRAINT [FK_DBM_TOOL_PERMISSION_PROJECT_ID_PROJECT_ID];

ALTER TABLE [dbo].[DBM_TOOL_PERMISSION]  WITH CHECK ADD  CONSTRAINT [FK_DBM_TOOL_PERMISSION_USER_ID_CORE_USER_ID] FOREIGN KEY([USER_ID])
REFERENCES [dbo].[CORE_USER] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[DBM_TOOL_PERMISSION] CHECK CONSTRAINT [FK_DBM_TOOL_PERMISSION_USER_ID_CORE_USER_ID];

ALTER TABLE [dbo].[INV_APPLICATION]  WITH CHECK ADD  CONSTRAINT [FK_PROJECT_INV_APPLICATION_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_APPLICATION] CHECK CONSTRAINT [FK_PROJECT_INV_APPLICATION_PROJECT_ID];

ALTER TABLE [dbo].[INV_APPLICATION_LINK]  WITH CHECK ADD  CONSTRAINT [FK_INV_APPLICATION_INV_APPLICATION_LINK_APPLICATION_ID] FOREIGN KEY([APPLICATION_ID])
REFERENCES [dbo].[INV_APPLICATION] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_APPLICATION_LINK] CHECK CONSTRAINT [FK_INV_APPLICATION_INV_APPLICATION_LINK_APPLICATION_ID];

ALTER TABLE [dbo].[INV_CONTACT]  WITH CHECK ADD  CONSTRAINT [FK_PROJECT_INV_CONTACT_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_CONTACT] CHECK CONSTRAINT [FK_PROJECT_INV_CONTACT_PROJECT_ID];

ALTER TABLE [dbo].[INV_CONTACT_LINK]  WITH CHECK ADD  CONSTRAINT [FK_INV_CONTACT_INV_CONTACT_LINK_CONTACT_ID] FOREIGN KEY([CONTACT_ID])
REFERENCES [dbo].[INV_CONTACT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_CONTACT_LINK] CHECK CONSTRAINT [FK_INV_CONTACT_INV_CONTACT_LINK_CONTACT_ID];

ALTER TABLE [dbo].[INV_DATABASE]  WITH CHECK ADD  CONSTRAINT [FK_PROJECT_INV_DATABASE_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_DATABASE] CHECK CONSTRAINT [FK_PROJECT_INV_DATABASE_PROJECT_ID];

ALTER TABLE [dbo].[INV_DATABASE_USAGE]  WITH CHECK ADD  CONSTRAINT [FK_INV_APP_INSTANCE_INV_DATABASE_USAGE_INSTALLATION_ID] FOREIGN KEY([INSTALLATION_ID])
REFERENCES [dbo].[INV_APP_INSTANCE] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_DATABASE_USAGE] CHECK CONSTRAINT [FK_INV_APP_INSTANCE_INV_DATABASE_USAGE_INSTALLATION_ID];

ALTER TABLE [dbo].[INV_DATABASE_USAGE]  WITH CHECK ADD  CONSTRAINT [FK_INV_DATABASE_INV_DATABASE_USAGE_DATABASE_ID] FOREIGN KEY([DATABASE_ID])
REFERENCES [dbo].[INV_DATABASE] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_DATABASE_USAGE] CHECK CONSTRAINT [FK_INV_DATABASE_INV_DATABASE_USAGE_DATABASE_ID];

ALTER TABLE [dbo].[INV_EXTERNAL_LINK]  WITH CHECK ADD  CONSTRAINT [FK_INV_APPLICATION_INV_EXTERNAL_LINK_APPLICATION_ID] FOREIGN KEY([APPLICATION_ID])
REFERENCES [dbo].[INV_APPLICATION] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_EXTERNAL_LINK] CHECK CONSTRAINT [FK_INV_APPLICATION_INV_EXTERNAL_LINK_APPLICATION_ID];

ALTER TABLE [dbo].[INV_JOB]  WITH CHECK ADD  CONSTRAINT [FK_PROJECT_INV_JOB_PROJECT_ID] FOREIGN KEY([PROJECT_ID]) REFERENCES [dbo].[PROJECT] ([ID]) ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_JOB] CHECK CONSTRAINT [FK_PROJECT_INV_JOB_PROJECT_ID];

ALTER TABLE [dbo].[INV_SECURITY_OBJECT]  WITH CHECK ADD  CONSTRAINT [FK_PROJECT_INV_SECURITY_OBJECT_PROJECT_ID] FOREIGN KEY([PROJECT_ID]) REFERENCES [dbo].[PROJECT] ([ID]) ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_SECURITY_OBJECT] CHECK CONSTRAINT [FK_PROJECT_INV_SECURITY_OBJECT_PROJECT_ID];

ALTER TABLE [dbo].[INV_SECURITY_OBJECT_LINK]  WITH CHECK ADD  CONSTRAINT [FK_SECURITY_OBJECT_LINK_PROJECT] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_SECURITY_OBJECT_LINK] CHECK CONSTRAINT [FK_SECURITY_OBJECT_LINK_PROJECT];

ALTER TABLE [dbo].[INV_SERVER]  WITH CHECK ADD  CONSTRAINT [FK_PROJECT_INV_SERVER_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[INV_SERVER] CHECK CONSTRAINT [FK_PROJECT_INV_SERVER_PROJECT_ID];

ALTER TABLE [dbo].[UI_GRID_COLUMN_CONFIG]  WITH CHECK ADD  CONSTRAINT [FK_CORE_USER_UI_GRID_COLUMN_CONFIG_USER_ID] FOREIGN KEY([USER_ID])
REFERENCES [dbo].[CORE_USER] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[UI_GRID_COLUMN_CONFIG] CHECK CONSTRAINT [FK_CORE_USER_UI_GRID_COLUMN_CONFIG_USER_ID];

ALTER TABLE [dbo].[UI_GRID_COLUMN_CONFIG]  WITH CHECK ADD  CONSTRAINT [FK_PROJECT_UI_GRID_COLUMN_CONFIG_PROJECT_ID] FOREIGN KEY([PROJECT_ID])
REFERENCES [dbo].[PROJECT] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[UI_GRID_COLUMN_CONFIG] CHECK CONSTRAINT [FK_PROJECT_UI_GRID_COLUMN_CONFIG_PROJECT_ID];

ALTER TABLE [dbo].[UI_GRID_COLUMN_CONFIG]  WITH CHECK ADD  CONSTRAINT [FK_UI_GRID_COLUMN_CONFIG_CUSTOMFIELD_CONFIG_ID] FOREIGN KEY([CUSTOMFIELD_CONFIG_ID])
REFERENCES [dbo].[CUSTOMFIELD_CONFIG] ([ID])
ON DELETE CASCADE;

ALTER TABLE [dbo].[UI_GRID_COLUMN_CONFIG] CHECK CONSTRAINT [FK_UI_GRID_COLUMN_CONFIG_CUSTOMFIELD_CONFIG_ID];

ALTER TABLE [dbo].[DBM_TOOL_PERMISSION]  WITH CHECK ADD  CONSTRAINT [TOOL_PERMISSION_EMPTY] CHECK  (([DBM_TOOL_PERMISSION].[ACCESS_EXECUTE]=(1) OR [DBM_TOOL_PERMISSION].[ACCESS_VIEW_HISTORY]=(1)));

ALTER TABLE [dbo].[DBM_TOOL_PERMISSION] CHECK CONSTRAINT [TOOL_PERMISSION_EMPTY];

