CREATE TABLE
    DBM_FILE_REF
    (
        ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
        CREATEAUTHOR VARCHAR(15),
        CREATED TIMESTAMP NOT NULL,
        UPDATEAUTHOR VARCHAR(15),
        UPDATED TIMESTAMP NOT NULL,
    
        FILE_SIZE BIGINT NOT NULL,
        FILE_NAME VARCHAR(255) NOT NULL,
        USER_ID BIGINT NOT NULL,
        PROJECT_ID BIGINT NOT NULL,
        TOOL_ID VARCHAR(128),
        
        CONSTRAINT UNIQUE_PROJECT_ID_FILE_NAME UNIQUE(PROJECT_ID,FILE_NAME),
        CONSTRAINT FK_DBM_FILE_REF_PROJECT_ID_Project_ID FOREIGN KEY
        (PROJECT_ID) REFERENCES Project(ID) ON DELETE CASCADE,
        CONSTRAINT FK_DBM_FILE_REF_USER_ID_core_user_ID FOREIGN KEY
        (USER_ID) REFERENCES core_user(ID) ON DELETE CASCADE
    );