CREATE TABLE
    DBM_TOOL_HISTORY
    (
        ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
        CREATEAUTHOR VARCHAR(15),
        CREATED TIMESTAMP NOT NULL,
        UPDATEAUTHOR VARCHAR(15),
        UPDATED TIMESTAMP NOT NULL,
        
        framework_version VARCHAR(10) NOT NULL,
        tool_id VARCHAR(64) NOT NULL,
        tool_name VARCHAR(64) NOT NULL,
        tool_version VARCHAR(32) NOT NULL,
        
        tool VARBINARY(65536) NOT NULL,
        parameters VARBINARY(65536) NOT NULL,
        serializer_class VARCHAR(64),
        
        export_type VARCHAR(4) NOT NULL,
        
        html_page_count INTEGER,
        
        USER_ID BIGINT NOT NULL,
        PROJECT_ID BIGINT NOT NULL,
        
        status VARCHAR(9) NOT NULL,
        start TIMESTAMP,
        finish TIMESTAMP,
        
        CONSTRAINT FK_DBM_TOOL_HISTORY_PROJECT_ID_Project_ID FOREIGN KEY
        (PROJECT_ID) REFERENCES Project(ID) ON DELETE CASCADE,
        CONSTRAINT FK_DBM_TOOL_HISTORY_USER_ID_core_user_ID FOREIGN KEY
        (USER_ID) REFERENCES core_user(ID) ON DELETE CASCADE
    );