CREATE TABLE
    DBM_TOOL_PERMISSION
    (
        ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
        CREATEAUTHOR VARCHAR(15),
        CREATED TIMESTAMP NOT NULL,
        UPDATEAUTHOR VARCHAR(15),
        UPDATED TIMESTAMP NOT NULL,
        
        tool_id VARCHAR(64) NOT NULL,
        USER_ID BIGINT,
        PROJECT_ID BIGINT NOT NULL,
        
        access_execute BOOLEAN NOT NULL,
        access_view_history BOOLEAN NOT NULL,

        CONSTRAINT FK_DBM_TOOL_PERMISSION_PROJECT_ID_Project_ID FOREIGN KEY
        (PROJECT_ID) REFERENCES Project(ID) ON DELETE CASCADE,
        CONSTRAINT FK_DBM_TOOL_PERMISSION_USER_ID_core_user_ID FOREIGN KEY
        (USER_ID) REFERENCES core_user(ID) ON DELETE CASCADE,
        CONSTRAINT UNIQUE_USER_ID_PROJECT_ID_TOOL_ID UNIQUE(USER_ID,PROJECT_ID,TOOL_ID),
        CONSTRAINT TOOL_PERMISSION_EMPTY CHECK (access_execute or access_view_history)
    );