CREATE TABLE
    INV_JOB
    (
        ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
        CREATEAUTHOR VARCHAR(15),
        CREATED TIMESTAMP NOT NULL,
        UPDATEAUTHOR VARCHAR(15),
        UPDATED TIMESTAMP NOT NULL,
        CUSTOM_ID BIGINT,
        PROJECT_ID BIGINT NOT NULL,
        
        CONSTRAINT FK_CUSTOMFIELDENTITY_INV_JOB_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES CUSTOMFIELDENTITY(ID) ON
    DELETE
        SET NULL,
        CONSTRAINT FK_PROJECT_INV_JOB_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PROJECT(ID)
    ON
    DELETE
        CASCADE
    );
SET TABLE INV_JOB TYPE CACHED;

ALTER TABLE INV_CONTACT_LINK ADD COLUMN JOB_ID BIGINT;

ALTER TABLE
    INV_CONTACT_LINK ADD CONSTRAINT FK_INV_JOB_INV_CONTACT_LINK_DATABASE_ID FOREIGN KEY
    (JOB_ID) REFERENCES INV_JOB(ID)
ON
DELETE
    CASCADE;
    
    
CREATE TABLE
    INV_APPLICATION_LINK
    (
        ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
        CREATEAUTHOR VARCHAR(15),
        CREATED TIMESTAMP NOT NULL,
        UPDATEAUTHOR VARCHAR(15),
        UPDATED TIMESTAMP NOT NULL,
        CUSTOM_ID BIGINT,
        
        APPLICATION_ID BIGINT NOT NULL,
        JOB_ID BIGINT,
        CONSTRAINT FK_CUSTOMFIELDENTITY_INV_APPLICATION_LINK_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES CUSTOMFIELDENTITY(ID)
            ON DELETE SET NULL,
        CONSTRAINT FK_INV_APPLICATION_INV_APPLICATION_LINK_APPLICATION_ID FOREIGN KEY(APPLICATION_ID) REFERENCES INV_APPLICATION(ID)
            ON DELETE CASCADE,
        CONSTRAINT FK_INV_JOB_INV_APPLICATION_LINK_JOB_ID FOREIGN KEY(JOB_ID) REFERENCES INV_JOB(ID)
            ON DELETE CASCADE
    ); 
SET TABLE INV_APPLICATION_LINK TYPE CACHED;


INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'Job',
                   'Job Name', NULL, NULL,
                   'JobName', false, null, true, true, 'STRING', null, null, null, 'INVENTORY', true, null);
                   
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'Job',
                   'Job Type', NULL, NULL,
                   'JobType', false, null, true, true, 'STRING', null, null, null, 'INVENTORY', true, null);
                   
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'Job',
                   'Server Name',NULL, NULL,
                   'ServerName', false, null, true, true, 'STRING', null, null, null, 'INVENTORY', true, null);
                   
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'Job',
                   'Job Id', NULL, NULL, 
                   'JobId', false, null, false, false, 'STRING', null, null, null, 'INVENTORY', false, null);
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'Job',
                   'Source', NULL, NULL, 
                   'Source', false, null, false, false, 'STRING', null, null, null, 'INVENTORY', false, null);
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'Job',
                   'Description', NULL, NULL, 
                   'Description', false, null, false, false, 'TEXT', null, null, null, 'INVENTORY', false, null);    
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'Job',
                   'Category', NULL, NULL, 
                   'Category', false, null, false, false, 'STRING', null, null, null, 'INVENTORY', false, null);          
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'Job',
                   'Owner', NULL, NULL, 
                   'Owner', false, null, false, false, 'STRING', null, null, null, 'INVENTORY', false, null);    
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'Job',
                   'Enabled', NULL, NULL, 
                   'Enabled', false, null, false, false, 'BOOLEAN', null, null, null, 'INVENTORY', false, null);
                   
                   
    