CREATE TABLE
    INV_SECURITY_OBJECT
    (
        ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
        CREATEAUTHOR VARCHAR(15),
        CREATED TIMESTAMP NOT NULL,
        UPDATEAUTHOR VARCHAR(15),
        UPDATED TIMESTAMP NOT NULL,
        CUSTOM_ID BIGINT,
        PROJECT_ID BIGINT NOT NULL,
        
        CONSTRAINT FK_CUSTOMFIELDENTITY_INV_SECURITY_OBJECT_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES CUSTOMFIELDENTITY(ID) ON
    DELETE
        SET NULL,
        CONSTRAINT FK_PROJECT_INV_SECURITY_OBJECT_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PROJECT(ID)
    ON
    DELETE
        CASCADE
    );
SET TABLE INV_SECURITY_OBJECT TYPE CACHED;

ALTER TABLE INV_APPLICATION_LINK ADD COLUMN SECURITY_OBJECT_ID BIGINT;

ALTER TABLE INV_APPLICATION_LINK ADD CONSTRAINT FK_INV_SECURITY_OBJECT_INV_APPLICATION_LINK_SECURITY_OBJECT_ID
    FOREIGN KEY (SECURITY_OBJECT_ID) REFERENCES INV_SECURITY_OBJECT(ID)
ON
DELETE
    CASCADE;
    

INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Source', NULL, NULL,
                   'Source', false, null, true, true, 'STRING', null, null, null, 'INVENTORY', true, null);
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Server Name', NULL, NULL,
                   'ServerName', false, null, true, true, 'STRING', null, null, null, 'INVENTORY', true, null);
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Id',NULL, NULL,
                   'Id', false, null, true, true, 'STRING', null, null, null, 'INVENTORY', true, null);
                   
                   
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Database Name', NULL, NULL, 
                   'DatabaseName', false, null, false, false, 'STRING', null, null, null, 'INVENTORY', false, null);
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Name', NULL, NULL, 
                   'Name', false, null, true, false, 'STRING', null, null, null, 'INVENTORY', false, null);
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Type', NULL, NULL, 
                   'Type', false, null, true, false, 'STRING', null, null, null, 'INVENTORY', false, null);                   
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Enabled', NULL, NULL, 
                   'Enabled', false, null, false, false, 'BOOLEAN', null, null, null, 'INVENTORY', false, null);                  
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Description', NULL, NULL, 
                   'Description', false, null, false, false, 'TEXT', null, null, null, 'INVENTORY', false, null);
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Notes', NULL, NULL, 
                   'Notes', false, null, false, false, 'TEXT', null, null, null, 'INVENTORY', false, null);                   
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Members', NULL, NULL, 
                   'Members', false, null, false, false, 'STRING', null, null, null, 'INVENTORY', false, null);                    
                   
        
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Date and time external metadata was loaded into dbmaster', NULL, NULL, 
                   'Last Sync Date', true, null, false, true, 'DATE', null, null, null, 'INVENTORY', false, null);         
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Last Update Date', NULL, NULL, 
                   'Last Update Date', true, null, false, true, 'DATE', null, null, null, 'INVENTORY', false, null);                            
   

                   

                   
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)                   
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Source', NULL, NULL, 
                   'Source', false, null, true, true, 'STRING', PROJECT_ID, USER_ID, null, null, true, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'Source');  

INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Server Name', NULL, NULL, 
                   'ServerName', false, null, true, true, 'STRING', PROJECT_ID, USER_ID, null, null, true, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'ServerName');       
        
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Id', NULL, NULL, 
                   'Id', false, null, true, true, 'STRING', PROJECT_ID, USER_ID, null, null, true, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'Id');     
    
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Database Name', NULL, NULL, 
                   'DatabaseName', false, null, false, false, 'STRING', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'DatabaseName');
        
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Name', NULL, NULL, 
                   'Name', false, null, true, false, 'STRING', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'Name');     
        
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Type', NULL, NULL, 
                   'Type', false, null, true, false, 'STRING', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'Type');   
        
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Enabled', NULL, NULL, 
                   'Enabled', false, null, false, false, 'BOOLEAN', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'Enabled');          

INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Description', NULL, NULL, 
                   'Description', false, null, false, false, 'TEXT', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'Description');   
        
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Notes', NULL, NULL, 
                   'Notes', false, null, false, false, 'TEXT', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'Notes');          
        
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Members', NULL, NULL, 
                   'Members', false, null, false, false, 'STRING', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'Members');             

INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Date and time external metadata was loaded into dbmaster', NULL, NULL, 
                   'Last Sync Date', true, null, false, true, 'DATE', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'Last Sync Date'); 
        
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'SecurityObject',
                   'Last Update Date', NULL, NULL, 
                   'Last Update Date', true, null, false, true, 'DATE', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'SecurityObject' AND C.NAME = 'Last Update Date');         
