
CREATE TABLE INV_SECURITY_OBJECT_LINK (
        ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
        CREATEAUTHOR VARCHAR(15),
        CREATED TIMESTAMP NOT NULL,
        UPDATEAUTHOR VARCHAR(15),
        UPDATED TIMESTAMP NOT NULL,
        CUSTOM_ID BIGINT,
        PROJECT_ID BIGINT NOT NULL,
        SOURCE_OBJECT_ID BIGINT NOT NULL,
        TARGET_OBJECT_ID BIGINT NOT NULL,
        IS_AUTO_DETECTED BIT DEFAULT B'0' NOT NULL,
        DELETED BIT DEFAULT B'0' NOT NULL,
        CONSTRAINT FK_SECURITY_OBJECT_LINK_PROJECT FOREIGN KEY(PROJECT_ID) REFERENCES PROJECT(ID) ON  DELETE CASCADE,
        CONSTRAINT FK_SECURITY_OBJECT_LINK_SOURCE_OBJECT FOREIGN KEY(SOURCE_OBJECT_ID) REFERENCES INV_SECURITY_OBJECT(ID) ON DELETE CASCADE,
        CONSTRAINT FK_SECURITY_OBJECT_LINK_TARGET_OBJECT FOREIGN KEY(TARGET_OBJECT_ID) REFERENCES INV_SECURITY_OBJECT(ID) ON DELETE CASCADE
);

ALTER TABLE INV_SECURITY_OBJECT ADD COLUMN DELETED BIT DEFAULT B'0' NOT NULL;

update INV_SECURITY_OBJECT s set deleted = true
where s.id in (
		select distinct so.id from INV_SECURITY_OBJECT so
		inner join CUSTOMFIELDENTITY_MAP cm on cm.CUSTOMFIELDENTITY_ID = so.CUSTOM_ID
		where cm.map_key = 'Deleted' and cm.bool = true
);
