
CREATE TABLE INV_EXTERNAL_LINK
    (
        ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
        CREATEAUTHOR VARCHAR(15),
        CREATED TIMESTAMP NOT NULL,
        UPDATEAUTHOR VARCHAR(15),
        UPDATED TIMESTAMP NOT NULL,
        CUSTOM_ID BIGINT,
        
        APPLICATION_ID BIGINT,
        
        CONSTRAINT FK_CUSTOMFIELDENTITY_INV_EXTERNAL_LINK_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,
        CONSTRAINT FK_INV_APPLICATION_INV_EXTERNAL_LINK_APPLICATION_ID FOREIGN KEY(APPLICATION_ID) REFERENCES INV_APPLICATION(ID) ON DELETE CASCADE,
        CONSTRAINT CK_INV_EXTERNAL_LINK_APPLICATION check (APPLICATION_ID IS NOT NULL)
    );
SET TABLE INV_EXTERNAL_LINK TYPE CACHED;


INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'ExternalLink',
                   NULL, NULL, NULL,
                   'URL', false, null, true, true, 'TEXT', null, null, null, 'INVENTORY', true, null);
                   
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES(null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'ExternalLink',
                   NULL, NULL, NULL,
                   'LinkText', false, null, true, true, 'STRING', null, null, null, 'INVENTORY', false, null);                   
                   
                   
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES (null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                    'ExternalLink',
                    NULL, NULL, NULL,
                    'LinkType', false, null, false, true, 'STRING', null, null, null, 'INVENTORY', false, null);
                    
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT (CUSTOMFIELDCONFIG_ID, TEXTVALUES) VALUES ((SELECT ID FROM CUSTOMFIELD_CONFIG WHERE DOMAIN = 'INVENTORY' AND NAME = 'LinkType' AND CLAZZ = 'ExternalLink'), 'Documentation');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT (CUSTOMFIELDCONFIG_ID, TEXTVALUES) VALUES ((SELECT ID FROM CUSTOMFIELD_CONFIG WHERE DOMAIN = 'INVENTORY' AND NAME = 'LinkType' AND CLAZZ = 'ExternalLink'), 'Documents');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT (CUSTOMFIELDCONFIG_ID, TEXTVALUES) VALUES ((SELECT ID FROM CUSTOMFIELD_CONFIG WHERE DOMAIN = 'INVENTORY' AND NAME = 'LinkType' AND CLAZZ = 'ExternalLink'), 'Vendor Pages');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT (CUSTOMFIELDCONFIG_ID, TEXTVALUES) VALUES ((SELECT ID FROM CUSTOMFIELD_CONFIG WHERE DOMAIN = 'INVENTORY' AND NAME = 'LinkType' AND CLAZZ = 'ExternalLink'), 'Setup Instruction');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT (CUSTOMFIELDCONFIG_ID, TEXTVALUES) VALUES ((SELECT ID FROM CUSTOMFIELD_CONFIG WHERE DOMAIN = 'INVENTORY' AND NAME = 'LinkType' AND CLAZZ = 'ExternalLink'), 'Support Link');

INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
            VALUES (null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                    'ExternalLink',
                    NULL, NULL, NULL,
                    'Comments', false, null, false, true, 'TEXT', null, null, null, 'INVENTORY', false, null);                    
                    
                   
                    
                    
                    
                    
                    
                    
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'ExternalLink',
                   NULL, NULL, NULL, 
                   'URL', false, null, true, true, 'TEXT', PROJECT_ID, USER_ID, null, null, true, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'ExternalLink' AND C.NAME = 'URL');
        
        
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'ExternalLink',
                   NULL, NULL, NULL, 
                   'LinkText', false, null, true, true, 'STRING', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'ExternalLink' AND C.NAME = 'LinkText');        
        
        
INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'ExternalLink',
                   NULL, NULL, NULL, 
                   'LinkType', false, null, false, true, 'STRING', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'ExternalLink' AND C.NAME = 'LinkType'); 
        
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT (CUSTOMFIELDCONFIG_ID, TEXTVALUES)
        SELECT DISTINCT CC.ID, 'Documentation' FROM CUSTOMFIELD_CONFIG CC
        LEFT JOIN CUSTOMFIELD_CONFIG_VALUES_TEXT T ON T.CUSTOMFIELDCONFIG_ID = CC.ID AND T.TEXTVALUES = 'Documentation'
        WHERE CC.PROJECT_ID IS NOT NULL AND CC.USER_ID IS NULL 
        AND CC.PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
        AND CC.CLAZZ = 'ExternalLink' AND CC.NAME = 'LinkType'
        AND T.CUSTOMFIELDCONFIG_ID IS NULL;
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT (CUSTOMFIELDCONFIG_ID, TEXTVALUES)
        SELECT DISTINCT CC.ID, 'Documents' FROM CUSTOMFIELD_CONFIG CC
        LEFT JOIN CUSTOMFIELD_CONFIG_VALUES_TEXT T ON T.CUSTOMFIELDCONFIG_ID = CC.ID AND T.TEXTVALUES = 'Documents'
        WHERE CC.PROJECT_ID IS NOT NULL AND CC.USER_ID IS NULL 
        AND CC.PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
        AND CC.CLAZZ = 'ExternalLink' AND CC.NAME = 'LinkType'
        AND T.CUSTOMFIELDCONFIG_ID IS NULL;
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT (CUSTOMFIELDCONFIG_ID, TEXTVALUES)
        SELECT DISTINCT CC.ID, 'Vendor Pages' FROM CUSTOMFIELD_CONFIG CC
        LEFT JOIN CUSTOMFIELD_CONFIG_VALUES_TEXT T ON T.CUSTOMFIELDCONFIG_ID = CC.ID AND T.TEXTVALUES = 'Vendor Pages'
        WHERE CC.PROJECT_ID IS NOT NULL AND CC.USER_ID IS NULL 
        AND CC.PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
        AND CC.CLAZZ = 'ExternalLink' AND CC.NAME = 'LinkType'
        AND T.CUSTOMFIELDCONFIG_ID IS NULL;
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT (CUSTOMFIELDCONFIG_ID, TEXTVALUES)
        SELECT DISTINCT CC.ID, 'Setup Instruction' FROM CUSTOMFIELD_CONFIG CC
        LEFT JOIN CUSTOMFIELD_CONFIG_VALUES_TEXT T ON T.CUSTOMFIELDCONFIG_ID = CC.ID AND T.TEXTVALUES = 'Setup Instruction'
        WHERE CC.PROJECT_ID IS NOT NULL AND CC.USER_ID IS NULL 
        AND CC.PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
        AND CC.CLAZZ = 'ExternalLink' AND CC.NAME = 'LinkType'
        AND T.CUSTOMFIELDCONFIG_ID IS NULL;
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT (CUSTOMFIELDCONFIG_ID, TEXTVALUES)
        SELECT DISTINCT CC.ID, 'Support Link' FROM CUSTOMFIELD_CONFIG CC
        LEFT JOIN CUSTOMFIELD_CONFIG_VALUES_TEXT T ON T.CUSTOMFIELDCONFIG_ID = CC.ID AND T.TEXTVALUES = 'Support Link'
        WHERE CC.PROJECT_ID IS NOT NULL AND CC.USER_ID IS NULL 
        AND CC.PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
        AND CC.CLAZZ = 'ExternalLink' AND CC.NAME = 'LinkType'
        AND T.CUSTOMFIELDCONFIG_ID IS NULL;


INSERT INTO CUSTOMFIELD_CONFIG (ID, CREATEAUTHOR, CREATED, UPDATEAUTHOR, UPDATED, CLAZZ, DESCRIPTION, MAXDECIMAL, MINDECIMAL, NAME, READONLY, REGEXP, REQUIRED, SYSTEM, TYPE, PROJECT_ID, USER_ID, SUGGESTION, DOMAIN, KEY_FIELD, CUSTOM_OBJECT_TYPE)
SELECT DISTINCT null, 'system', '2018-01-01 18:00:00.000000','system','2018-01-01 18:00:00.000000',
                   'ExternalLink',
                   NULL, NULL, NULL, 
                   'Comments', false, null, false, true, 'TEXT', PROJECT_ID, USER_ID, null, null, false, null
FROM CUSTOMFIELD_CONFIG                   
WHERE PROJECT_ID IS NOT NULL AND USER_ID IS NULL 
AND PROJECT_ID IN (SELECT P.ID FROM PROJECT P WHERE P.PROJECTTYPE = 'INVENTORY') 
AND PROJECT_ID NOT IN (
        SELECT P.ID FROM PROJECT P
        INNER JOIN CUSTOMFIELD_CONFIG C ON P.ID = C.PROJECT_ID
        WHERE C.CLAZZ = 'ExternalLink' AND C.NAME = 'Comments');         
                    