
ALTER TABLE DB_MODEL RENAME TO DB_MODEL_DATASOURCE;

ALTER CONSTRAINT FK_DB_MODEL_DB_MODEL_OBJECT_MODEL_ID RENAME TO FK_DB_MODEL_DATASOURCE_DB_MODEL_OBJECT_MODEL_ID;
ALTER CONSTRAINT FK_DB_CONNECTION_DB_MODEL_CONNECTION_ID RENAME TO FK_DB_CONNECTION_DB_MODEL_DATASOURCE_CONNECTION_ID;
ALTER CONSTRAINT FK_PROJECT_DB_MODEL_PROJECT_ID RENAME TO FK_PROJECT_DB_MODEL_DATASOURCE_PROJECT_ID;

DELETE FROM DB_MODEL_DATASOURCE;

ALTER TABLE DB_MODEL_DATASOURCE DROP CONSTRAINT UNIQUE_MODEL_VERSION;
ALTER TABLE DB_MODEL_DATASOURCE DROP CONSTRAINT UNIQUE_MODEL_SYNC;
ALTER TABLE DB_MODEL_DATASOURCE DROP COLUMN PROJECT_ID;
ALTER TABLE DB_MODEL_DATASOURCE DROP COLUMN VERSION;



ALTER TABLE DB_MODEL_DATASOURCE ADD COLUMN READONLY_FLAG BIT(1) NOT NULL;
ALTER TABLE DB_MODEL_DATASOURCE ADD COLUMN ORDER_INDEX SMALLINT NOT NULL;
ALTER TABLE DB_MODEL_DATASOURCE ADD COLUMN MODEL_ID BIGINT NOT NULL;
ALTER TABLE DB_MODEL_DATASOURCE ALTER COLUMN NAME SET NOT NULL;



CREATE TABLE DB_MODEL
    (
        ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
        CREATEAUTHOR VARCHAR(15),
        CREATED TIMESTAMP NOT NULL,
        UPDATEAUTHOR VARCHAR(15),
        UPDATED TIMESTAMP NOT NULL,
                
        
        NAME VARCHAR(255) NOT NULL,
        READONLY_FLAG BIT(1) NOT NULL,
        
        PROJECT_ID BIGINT NOT NULL,
        
        CONSTRAINT FK_DB_MODEL_PROJECT_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PROJECT(ID) ON DELETE CASCADE
    );
SET TABLE DB_MODEL TYPE CACHED;



ALTER TABLE DB_MODEL_DATASOURCE ADD CONSTRAINT FK_DB_MODEL_DATASOURCE_DB_MODEL_MODEL_ID
    FOREIGN KEY (MODEL_ID) REFERENCES DB_MODEL(ID)
ON
DELETE
    CASCADE;
    



CREATE TABLE DB_SYNCSESSION_DATASOURCE
    (
        SYNCSESSION_ID BIGINT NOT NULL PRIMARY KEY,
        DATASOURCE_ID BIGINT NOT NULL,
        
        CONSTRAINT FK_DB_MODEL_DATASOURCE_DATASOURCE_ID FOREIGN KEY(DATASOURCE_ID) REFERENCES DB_MODEL_DATASOURCE(ID) ON DELETE CASCADE,
        CONSTRAINT FK_DB_SYNCSESSION_DATASOURCE_SYNC_SESSION_ID FOREIGN KEY(SYNCSESSION_ID) REFERENCES DBM_SYNC_SESSION(ID) ON DELETE CASCADE,
    );
SET TABLE DB_SYNCSESSION_DATASOURCE TYPE CACHED;

