
EXEC sp_rename 'DB_MODEL', 'DB_MODEL_DATASOURCE';

EXEC sp_rename 'FK_DB_MODEL_DB_MODEL_OBJECT_MODEL_ID', 'FK_DB_MODEL_DATASOURCE_DB_MODEL_OBJECT_MODEL_ID';
--EXEC sp_rename 'FK_DB_CONNECTION_DB_MODEL_CONNECTION_ID', 'FK_DB_CONNECTION_DB_MODEL_CONNECTION_ID';
EXEC sp_rename 'FK_PROJECT_DB_MODEL_PROJECT_ID', 'FK_PROJECT_DB_MODEL_DATASOUCE_PROJECT_ID';


DELETE FROM DB_MODEL_DATASOURCE;

ALTER TABLE DB_MODEL_DATASOURCE DROP CONSTRAINT UNIQUE_MODEL_VERSION;
ALTER TABLE DB_MODEL_DATASOURCE DROP CONSTRAINT UNIQUE_MODEL_SYNC;
ALTER TABLE DB_MODEL_DATASOURCE DROP CONSTRAINT FK_PROJECT_DB_MODEL_DATASOUCE_PROJECT_ID;
ALTER TABLE DB_MODEL_DATASOURCE DROP COLUMN PROJECT_ID;
ALTER TABLE DB_MODEL_DATASOURCE DROP COLUMN VERSION;


ALTER TABLE DB_MODEL_DATASOURCE ADD READONLY_FLAG BIT NOT NULL;
ALTER TABLE DB_MODEL_DATASOURCE ADD ORDER_INDEX SMALLINT NOT NULL;
ALTER TABLE DB_MODEL_DATASOURCE ADD MODEL_ID BIGINT NOT NULL;
ALTER TABLE DB_MODEL_DATASOURCE ALTER COLUMN NAME NVARCHAR(255) NOT NULL;



CREATE TABLE DB_MODEL(
        ID BIGINT IDENTITY(1,1) NOT NULL PRIMARY KEY,
        CREATEAUTHOR NVARCHAR(15),
        CREATED DATETIME2(3) NOT NULL,
        UPDATEAUTHOR NVARCHAR(15),
        UPDATED DATETIME2(3) NOT NULL,
                
        
        NAME NVARCHAR(255) NOT NULL,
        READONLY_FLAG BIT NOT NULL,
        
        PROJECT_ID BIGINT NOT NULL,
        
        CONSTRAINT FK_DB_MODEL_PROJECT_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PROJECT(ID) ON DELETE CASCADE
);



ALTER TABLE DB_MODEL_DATASOURCE ADD CONSTRAINT FK_DB_MODEL_DATASOURCE_DB_MODEL_MODEL_ID
    FOREIGN KEY (MODEL_ID) REFERENCES DB_MODEL(ID)
ON
DELETE
    CASCADE;
    
    
CREATE TABLE DB_SYNCSESSION_DATASOURCE
    (
        SYNCSESSION_ID BIGINT NOT NULL PRIMARY KEY,
        DATASOURCE_ID BIGINT NOT NULL,
        
        CONSTRAINT FK_DB_MODEL_DATASOURCE_DATASOURCE_ID FOREIGN KEY(DATASOURCE_ID) REFERENCES DB_MODEL_DATASOURCE(ID) ON DELETE CASCADE,
        CONSTRAINT FK_DB_SYNCSESSION_DATASOURCE_SYNC_SESSION_ID FOREIGN KEY(SYNCSESSION_ID) REFERENCES DBM_SYNC_SESSION(ID) ON DELETE NO ACTION
);    