-- requires dbmaster~2.0.31

create table custom_object_type
(
	ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
   CREATEAUTHOR VARCHAR(15),
   CREATED TIMESTAMP NOT NULL,
   UPDATEAUTHOR VARCHAR(15),
   UPDATED TIMESTAMP NOT NULL,

	clazz VARCHAR_IGNORECASE(32) NOT NULL CHECK (LENGTH(clazz)>=1),
	PROJECT_ID BIGINT NOT NULL,
	create_support BOOLEAN NOT NULL,
	update_support BOOLEAN NOT NULL,
	delete_support BOOLEAN NOT NULL,
	hidden BOOLEAN NOT NULL,

   CONSTRAINT UNIQUE_PROJECT_ID_OBJECT_NAME UNIQUE(PROJECT_ID,clazz),
   CONSTRAINT FK_CUSTOM_OBJECT_TYPE_PROJECT_ID_PROJECT_ID FOREIGN KEY
        (PROJECT_ID) REFERENCES Project(ID) ON DELETE CASCADE
);

CREATE TABLE custom_object
(
	ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,
	CREATEAUTHOR VARCHAR(15),
	CREATED TIMESTAMP NOT NULL,
	UPDATEAUTHOR VARCHAR(15),
	UPDATED TIMESTAMP NOT NULL,
	
	PROJECT_ID BIGINT NOT NULL,
	CUSTOM_ID BIGINT NOT NULL,

	CONSTRAINT FK_CUSTOMFIELDENTITY_CUSTOM_OBJECT_CUSTOM_ID FOREIGN KEY(CUSTOM_ID)
	   REFERENCES CUSTOMFIELDENTITY(ID) ON DELETE CASCADE,
	CONSTRAINT FK_PROJECT_CUSTOM_OBJEC_PROJECT_ID FOREIGN KEY(PROJECT_ID)
	   REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE
);

alter table customfield_config add column key_field BIT(1);
update customfield_config set key_field = false;
alter table customfield_config alter column key_field SET NOT NULL;
alter table customfield_config alter column clazz SET NOT NULL;

alter table CUSTOMFIELD_CONFIG add column CUSTOM_OBJECT_TYPE BIGINT;
ALTER TABLE CUSTOMFIELD_CONFIG
    ADD CONSTRAINT FK_CUSTOM_OBJECT_TYPE_CUSTOMFIELD_CONFIG_CUSTOM_OBJECT_TYPE
    FOREIGN KEY (CUSTOM_OBJECT_TYPE)
    REFERENCES CUSTOM_OBJECT_TYPE  (ID)
    ON DELETE CASCADE;
    
alter table customfield_config alter column clazz VARCHAR_IGNORECASE(32);
alter table CUSTOMFIELDENTITY alter column clazz VARCHAR_IGNORECASE(32);

--update TABLE CUSTOMFIELD_CONFIG set system = true where clazz = 'application' and name = 'ApplicationName';
--update TABLE CUSTOMFIELD_CONFIG set system = true where clazz = 'installation' and name = 'ApplicationName';
--update TABLE CUSTOMFIELD_CONFIG set system = true where clazz = 'contact-link' and name = 'ApplicationName';
--update TABLE CUSTOMFIELD_CONFIG set system = true where clazz = 'contact' and name = 'ContactName';
--update TABLE CUSTOMFIELD_CONFIG set system = true where clazz = 'db' and name = 'DatabaseName';
--update TABLE CUSTOMFIELD_CONFIG set system = true where clazz = 'db' and name = 'ConnectionName';
--update TABLE CUSTOMFIELD_CONFIG set system = true where clazz = 'dbusage' and name = 'ConnectionName';
