
CREATE TABLE PUBLIC.CUSTOMFIELD_CONFIG(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,CLAZZ VARCHAR(32) NOT NULL,DESCRIPTION VARCHAR(2000),MAXDECIMAL BIGINT,MINDECIMAL BIGINT,NAME VARCHAR(255) NOT NULL,READONLY BIT(1) NOT NULL,REGEXP VARCHAR(255),REQUIRED BIT(1) NOT NULL,SYSTEM BIT(1) DEFAULT B'0' NOT NULL,TYPE VARCHAR(255) NOT NULL,PROJECT_ID BIGINT,USER_ID BIGINT,SUGGESTION VARCHAR(32),DOMAIN VARCHAR(16),CONSTRAINT UNIQUE_NAME_CLAZZ_PROJECT_ID UNIQUE(PROJECT_ID,NAME,CLAZZ));
ALTER TABLE PUBLIC.CUSTOMFIELD_CONFIG ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.CUSTOMFIELD_CONFIG_VALUES_TEXT(CUSTOMFIELDCONFIG_ID BIGINT NOT NULL,TEXTVALUES VARCHAR(255),CONSTRAINT FK_CUSTOMFIELD_CONFIG_CUSTOMFIELD_CONFIG_VALUES_TEXT_CUSTOMFIELDCONFIG_ID FOREIGN KEY(CUSTOMFIELDCONFIG_ID) REFERENCES PUBLIC.CUSTOMFIELD_CONFIG(ID) ON DELETE CASCADE);
CREATE TABLE PUBLIC.CUSTOMFIELDENTITY(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,CLAZZ VARCHAR(32) NOT NULL);
ALTER TABLE PUBLIC.CUSTOMFIELDENTITY ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.CUSTOMFIELDENTITY_MAP(CUSTOMFIELDENTITY_ID BIGINT NOT NULL,BOOL BIT(1),FRACTIONAL DOUBLE,INTEGER BIGINT,TEXT VARCHAR(4096),TIME TIMESTAMP,MAP_KEY VARCHAR(64) NOT NULL,PRIMARY KEY(CUSTOMFIELDENTITY_ID,MAP_KEY),CONSTRAINT FK_CUSTOMFIELDENTITY_CUSTOMFIELDENTITY_MAP_CUSTOMFIELDENTITY_ID FOREIGN KEY(CUSTOMFIELDENTITY_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE CASCADE);
CREATE TABLE PUBLIC.CUSTOMFIELD_CONFIG_DISPLAY(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,EDITABLE BIT(1) NOT NULL,EDITORID VARCHAR(255) NOT NULL,FIXED BIT(1) NOT NULL,INDX INTEGER,SHOW BIT(1) NOT NULL,SORTABLE BIT(1) NOT NULL,WIDTH INTEGER,CONFIG_ID BIGINT NOT NULL,USER_ID BIGINT,CONSTRAINT UNIQUE_EDITORID_USER_ID_CONFIG_ID UNIQUE(USER_ID,CONFIG_ID,EDITORID),CONSTRAINT FK_CUSTOMFIELD_CONFIG_CUSTOMFIELD_CONFIG_DISPLAY_CONFIG_ID FOREIGN KEY(CONFIG_ID) REFERENCES PUBLIC.CUSTOMFIELD_CONFIG(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.CUSTOMFIELD_CONFIG_DISPLAY ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.PERMISSION(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,ROLE VARCHAR(12) NOT NULL,PROJECT_ID BIGINT NOT NULL,USER_ID BIGINT,CONSTRAINT UNIQUE_USER_ID_PROJECT_ID_ROLE UNIQUE(USER_ID,PROJECT_ID,ROLE));
ALTER TABLE PUBLIC.PERMISSION ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.PROJECT(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,DESCRIPTION VARCHAR(255),NAME VARCHAR(255) NOT NULL,PROJECTTYPE VARCHAR(16) NOT NULL,CONSTRAINT UNIQUE_NAME UNIQUE(NAME));
ALTER TABLE PUBLIC.PROJECT ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.CORE_USER(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,ADMIN BIT(1) NOT NULL,CREATEPROJECT BIT(1) NOT NULL,DISABLED BIT(1) NOT NULL,EMAIL VARCHAR(255),USER_ID VARCHAR(256) NOT NULL,PASSWORD VARCHAR(255),OPENID_ALIAS VARCHAR(64),OPENID_URL VARCHAR(2048),FIRST_NAME VARCHAR(128),LAST_NAME VARCHAR(128),OAUTH_RAW VARCHAR(4096),USER_NAME VARCHAR(32) NOT NULL,REMEMBER_ID VARCHAR(64),CONSTRAINT CORE_USER_UNIQUE_LOGIN_OPENID UNIQUE(USER_ID,OPENID_ALIAS,OPENID_URL));
ALTER TABLE PUBLIC.CORE_USER ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.INV_APP_INSTANCE(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,LASTSYNCH TIMESTAMP,CUSTOM_ID BIGINT,APPLICATION_ID BIGINT NOT NULL,SERVER_ID BIGINT NOT NULL,CONSTRAINT FK_CUSTOMFIELDENTITY_INV_APP_INSTANCE_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL);
ALTER TABLE PUBLIC.INV_APP_INSTANCE ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.INV_APPLICATION(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,CUSTOM_ID BIGINT,PROJECT_ID BIGINT NOT NULL,CONSTRAINT FK_CUSTOMFIELDENTITY_INV_APPLICATION_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,CONSTRAINT FK_PROJECT_INV_APPLICATION_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.INV_APPLICATION ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.INV_CONTACT(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,CUSTOM_ID BIGINT,PROJECT_ID BIGINT NOT NULL,CONSTRAINT FK_CUSTOMFIELDENTITY_INV_CONTACT_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,CONSTRAINT FK_PROJECT_INV_CONTACT_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.INV_CONTACT ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.INV_CONTACT_LINK(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,CUSTOM_ID BIGINT,CONTACT_ID BIGINT NOT NULL,APPLICATION_ID BIGINT,SERVER_ID BIGINT,DATABASE_ID BIGINT,CONSTRAINT FK_CUSTOMFIELDENTITY_INV_CONTACT_LINK_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,CONSTRAINT FK_INV_CONTACT_INV_CONTACT_LINK_CONTACT_ID FOREIGN KEY(CONTACT_ID) REFERENCES PUBLIC.INV_CONTACT(ID) ON DELETE CASCADE,CONSTRAINT FK_INV_APPLICATION_INV_CONTACT_LINK_APPLICATION_ID FOREIGN KEY(APPLICATION_ID) REFERENCES PUBLIC.INV_APPLICATION(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.INV_CONTACT_LINK ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.INV_DATABASE(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,CUSTOM_ID BIGINT,PROJECT_ID BIGINT NOT NULL,DATABASE_SERVER VARCHAR(64),CONSTRAINT FK_CUSTOMFIELDENTITY_INV_DATABASE_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,CONSTRAINT FK_PROJECT_INV_DATABASE_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.INV_DATABASE ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.INV_DATABASE_USAGE(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,CUSTOM_ID BIGINT,DATABASE_ID BIGINT,INSTALLATION_ID BIGINT,APPLICATION_ID BIGINT,CONSTRAINT FK_CUSTOMFIELDENTITY_INV_DATABASE_USAGE_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,CONSTRAINT FK_INV_DATABASE_INV_DATABASE_USAGE_DATABASE_ID FOREIGN KEY(DATABASE_ID) REFERENCES PUBLIC.INV_DATABASE(ID) ON DELETE CASCADE,CONSTRAINT FK_INV_APP_INSTANCE_INV_DATABASE_USAGE_INSTALLATION_ID FOREIGN KEY(INSTALLATION_ID) REFERENCES PUBLIC.INV_APP_INSTANCE(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.INV_DATABASE_USAGE ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.INV_SERVER(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,CUSTOM_ID BIGINT,PROJECT_ID BIGINT NOT NULL,CONSTRAINT FK_CUSTOMFIELDENTITY_INV_SERVER_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,CONSTRAINT FK_PROJECT_INV_SERVER_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.INV_SERVER ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.FOREIGNKEY_COLUMNS(FOREIGNKEY_ID BIGINT NOT NULL,SOURCECOLUMNNAME VARCHAR(255),TARGETCOLUMNNAME VARCHAR(255));
CREATE TABLE PUBLIC.INDEX_COLUMNS(INDEX_ID BIGINT NOT NULL,ASC BIT(1) NOT NULL,INCLUDED BIT(1) NOT NULL,NAME VARCHAR(255));
CREATE TABLE PUBLIC.DB_COLUMN(DTYPE VARCHAR(31) NOT NULL,ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,DEFAULTVALUE VARCHAR(255),EXTRADEFINITION VARCHAR(255),NAME VARCHAR(255),NULLABLE BIT(1) NOT NULL,PRECESION INTEGER,SCALE INTEGER,SIZE INTEGER,TYPE VARCHAR(255),PARAMTYPE VARCHAR(255),CUSTOM_ID BIGINT,OWNER_ID BIGINT NOT NULL,COLLECTION_INDEX INTEGER NOT NULL,CONSTRAINT FK_CUSTOMFIELDENTITY_DB_COLUMN_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL);
ALTER TABLE PUBLIC.DB_COLUMN ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.DB_CONNECTION(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,URL VARCHAR(255),NAME VARCHAR(255) NOT NULL,PASSWORD VARCHAR(255),DRIVER VARCHAR(255),USERNAME VARCHAR(255),CUSTOM_ID BIGINT,PROPERTIES VARBINARY(16777216),PROJECT_ID BIGINT NOT NULL, UNIQUE(NAME),CONSTRAINT FK_CUSTOMFIELDENTITY_DB_CONNECTION_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,CONSTRAINT FK_PROJECT_DB_CONNECTION_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.DB_CONNECTION ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.DB_CONSTRAINT(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,COLUMNNAME VARCHAR(255),CONSTRAINTNAME VARCHAR(255),DEFINITION VARCHAR(255),DISABLED BIT(1) NOT NULL,CUSTOM_ID BIGINT,OWNER_ID BIGINT NOT NULL,CONSTRAINT FK_CUSTOMFIELDENTITY_DB_CONSTRAINT_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL);
ALTER TABLE PUBLIC.DB_CONSTRAINT ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.DB_FOREIGN_KEY(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,DELETEACTION VARCHAR(255),DISABLED BIT(1) NOT NULL,NAME VARCHAR(255),TARGETTABLE VARCHAR(255),UPDATEACTION VARCHAR(255),CUSTOM_ID BIGINT,OWNER_ID BIGINT NOT NULL,CONSTRAINT FK_CUSTOMFIELDENTITY_DB_FOREIGN_KEY_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL);
ALTER TABLE PUBLIC.DB_FOREIGN_KEY ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.DB_INDEX(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,DISABLED BIT(1) NOT NULL,FILLFACTOR INTEGER NOT NULL,FRAGMENTATION DOUBLE,IGNOREDUPLICATES BIT(1) NOT NULL,INDEXSIZE BIGINT,NAME VARCHAR(255),PRIMARYKEY BIT(1) NOT NULL,TYPE VARCHAR(255),INDEX_UNIQUE BIT(1),CUSTOM_ID BIGINT,OWNER_ID BIGINT NOT NULL,CONSTRAINT FK_CUSTOMFIELDENTITY_DB_INDEX_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL);
ALTER TABLE PUBLIC.DB_INDEX ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.DB_MODEL(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,LASTSYNCH TIMESTAMP NOT NULL,NAME VARCHAR(255),DATABASE VARCHAR(255),EXCLUDEPROCEDUREFILTER VARCHAR(255),EXCLUDETABLES VARCHAR(255),EXCLUDEVIEWSFILTER VARCHAR(255),IMPORTCONSTRAINTS BIT(1) NOT NULL,IMPORTFOREIGNKEYS BIT(1) NOT NULL,IMPORTINDEXES BIT(1) NOT NULL,IMPORTPROCEDURES BIT(1) NOT NULL,IMPORTTABLES BIT(1) NOT NULL,IMPORTVIEWS BIT(1) NOT NULL,INCLUDEPROCEDUREFILTER VARCHAR(255),INCLUDETABLES VARCHAR(255),INCLUDEVIEWSFILTER VARCHAR(255),CUSTOM_ID BIGINT,CONNECTION_ID BIGINT,PROJECT_ID BIGINT NOT NULL,CONSTRAINT DB_MODEL_NAME_PROJECT UNIQUE(PROJECT_ID,NAME),CONSTRAINT FK_CUSTOMFIELDENTITY_DB_MODEL_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,CONSTRAINT FK_DB_CONNECTION_DB_MODEL_CONNECTION_ID FOREIGN KEY(CONNECTION_ID) REFERENCES PUBLIC.DB_CONNECTION(ID),CONSTRAINT FK_PROJECT_DB_MODEL_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.DB_MODEL ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.DB_MODEL_OBJECT(DTYPE VARCHAR(5) NOT NULL,ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,NAME VARCHAR(255),SOURCE VARCHAR(16777216),CUSTOM_ID BIGINT,MODEL_ID BIGINT NOT NULL,CONSTRAINT FK_CUSTOMFIELDENTITY_DB_MODEL_OBJECT_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,CONSTRAINT FK_DB_MODEL_DB_MODEL_OBJECT_MODEL_ID FOREIGN KEY(MODEL_ID) REFERENCES PUBLIC.DB_MODEL(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.DB_MODEL_OBJECT ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.COLLABORATION_TOPIC(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,AREA VARCHAR(64) NOT NULL,TARGET_ID BIGINT,TARGET_CLASS VARCHAR(32),TARGET_NAME VARCHAR(64),CUSTOM_ID BIGINT,CONSTRAINT FK_CUSTOMFIELDENTITY_COLLABORATION_TOPIC_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL);
ALTER TABLE PUBLIC.COLLABORATION_TOPIC ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.ADHOC_REPORT_CONFIG(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,BASE_REPORT VARCHAR(64) NOT NULL,REPORT_NAME VARCHAR(128) NOT NULL,REPORT_DESCRIPTION VARCHAR(255),USER_ID BIGINT,PARAMETERS CLOB(16M) NOT NULL,LOWER_NAME VARCHAR(128) GENERATED ALWAYS AS(LOWER(PUBLIC.ADHOC_REPORT_CONFIG.REPORT_NAME)),CONSTRAINT NAME_USER_CONSTRAINT UNIQUE(LOWER_NAME,USER_ID));
ALTER TABLE PUBLIC.ADHOC_REPORT_CONFIG ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.DBM_FEED_ITEM(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,FEED_TYPE VARCHAR(15),SHORT_TEXT VARCHAR(255) NOT NULL,LONG_TEXT VARCHAR(4000),CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,PROJECT_ID BIGINT NOT NULL,CUSTOM_ID BIGINT);
ALTER TABLE PUBLIC.DBM_FEED_ITEM ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.UI_GRID_COLUMN_CONFIG(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,USER_ID BIGINT,PROJECT_ID BIGINT,GRIDID VARCHAR(64) NOT NULL,INDX INTEGER NOT NULL,COLUMNID VARCHAR(256) NOT NULL,COLUMNTYPE VARCHAR(8) NOT NULL,WIDTH INTEGER NOT NULL,COLUMNDATAID VARCHAR(256),CONSTRAINT CUI_GRID_COLUMN_CONFIG1 UNIQUE(USER_ID,PROJECT_ID,GRIDID,INDX),CONSTRAINT FK_CORE_USER_UI_GRID_COLUMN_CONFIG_USER_ID FOREIGN KEY(USER_ID) REFERENCES PUBLIC.CORE_USER(ID) ON DELETE CASCADE,CONSTRAINT FK_PROJECT_UI_GRID_COLUMN_CONFIG_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.UI_GRID_COLUMN_CONFIG ALTER COLUMN ID RESTART WITH 1;

CREATE TABLE PUBLIC.DBM_SYNC_ATTRIBUTE(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,ATTRIBUTE_NAME VARCHAR(255),CHANGE_TYPE VARCHAR(255),SOURCE_VALUE VARCHAR(4000),TARGET_VALUE VARCHAR(4000),SYNC_PAIR_ID BIGINT NOT NULL,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL);
ALTER TABLE PUBLIC.DBM_SYNC_ATTRIBUTE ALTER COLUMN ID RESTART WITH 1;

CREATE TABLE PUBLIC.DBM_SYNC_PAIR(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,OBJECT_TYPE VARCHAR(255),CHANGE_TYPE VARCHAR(255),SOURCE_NAME VARCHAR(255),TARGET_NAME VARCHAR(255),PARENT_PAIR_ID BIGINT,SESSION_ID BIGINT NOT NULL,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,CONSTRAINT FK_DBM_SYNC_PAIR_DBM_SYNC_PAIR_PARENT_PAIR_ID FOREIGN KEY(PARENT_PAIR_ID) REFERENCES PUBLIC.DBM_SYNC_PAIR(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.DBM_SYNC_PAIR ALTER COLUMN ID RESTART WITH 1;
CREATE TABLE PUBLIC.DBM_SYNC_SESSION(ID BIGINT GENERATED BY DEFAULT AS IDENTITY(START WITH 1) NOT NULL PRIMARY KEY,SESSION_TYPE VARCHAR(32),CUSTOM_ID BIGINT,PROJECT_ID BIGINT NOT NULL,CREATEAUTHOR VARCHAR(15),CREATED TIMESTAMP NOT NULL,UPDATEAUTHOR VARCHAR(15),UPDATED TIMESTAMP NOT NULL,ROOT_PAIR_ID BIGINT,CONSTRAINT FK_CUSTOMFIELDENTITY_DBM_SYNC_SESSION_CUSTOM_ID FOREIGN KEY(CUSTOM_ID) REFERENCES PUBLIC.CUSTOMFIELDENTITY(ID) ON DELETE SET NULL,CONSTRAINT FK_PROJECT_DBM_SYNC_SESSION_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE,CONSTRAINT FK_DBM_SYNC_PAIR_DBM_SYNC_SESSION_ROOT_PAIR_ID FOREIGN KEY(ROOT_PAIR_ID) REFERENCES PUBLIC.DBM_SYNC_PAIR(ID) ON DELETE CASCADE);
ALTER TABLE PUBLIC.DBM_SYNC_SESSION ALTER COLUMN ID RESTART WITH 1;
ALTER TABLE PUBLIC.CUSTOMFIELD_CONFIG ADD CONSTRAINT FK_PROJECT_CUSTOMFIELD_CONFIG_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.CUSTOMFIELD_CONFIG ADD CONSTRAINT FK_CORE_USER_CUSTOMFIELD_CONFIG_USER_ID FOREIGN KEY(USER_ID) REFERENCES PUBLIC.CORE_USER(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.CUSTOMFIELD_CONFIG_DISPLAY ADD CONSTRAINT FK_CORE_USER_CUSTOMFIELD_CONFIG_DISPLAY_USER_ID FOREIGN KEY(USER_ID) REFERENCES PUBLIC.CORE_USER(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.PERMISSION ADD CONSTRAINT FK_PROJECT_PERMISSION_PROJECT_ID FOREIGN KEY(PROJECT_ID) REFERENCES PUBLIC.PROJECT(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.PERMISSION ADD CONSTRAINT FK_CORE_USER_PERMISSION_USER_ID FOREIGN KEY(USER_ID) REFERENCES PUBLIC.CORE_USER(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.INV_APP_INSTANCE ADD CONSTRAINT FK_INV_APPLICATION_INV_APP_INSTANCE_APPLICATION_ID FOREIGN KEY(APPLICATION_ID) REFERENCES PUBLIC.INV_APPLICATION(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.INV_APP_INSTANCE ADD CONSTRAINT FK_INV_SERVER_INV_APP_INSTANCE_SERVER_ID FOREIGN KEY(SERVER_ID) REFERENCES PUBLIC.INV_SERVER(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.INV_CONTACT_LINK ADD CONSTRAINT FK_INV_DATABASE_INV_CONTACT_LINK_DATABASE_ID FOREIGN KEY(DATABASE_ID) REFERENCES PUBLIC.INV_DATABASE(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.INV_CONTACT_LINK ADD CONSTRAINT FK_INV_SERVER_INV_CONTACT_LINK_SERVER_ID FOREIGN KEY(SERVER_ID) REFERENCES PUBLIC.INV_SERVER(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.FOREIGNKEY_COLUMNS ADD CONSTRAINT FK_DB_FOREIGN_KEY_FOREIGNKEY_COLUMNS_FOREIGNKEY_ID FOREIGN KEY(FOREIGNKEY_ID) REFERENCES PUBLIC.DB_FOREIGN_KEY(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.INDEX_COLUMNS ADD CONSTRAINT FK_DB_INDEX_INDEX_COLUMNS_INDEX_ID FOREIGN KEY(INDEX_ID) REFERENCES PUBLIC.DB_INDEX(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.DB_COLUMN ADD CONSTRAINT FK_DB_MODEL_OBJECT_DB_COLUMN_OWNER_ID FOREIGN KEY(OWNER_ID) REFERENCES PUBLIC.DB_MODEL_OBJECT(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.DB_CONSTRAINT ADD CONSTRAINT FK_DB_MODEL_OBJECT_DB_CONSTRAINT_OWNER_ID FOREIGN KEY(OWNER_ID) REFERENCES PUBLIC.DB_MODEL_OBJECT(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.DB_FOREIGN_KEY ADD CONSTRAINT FK_DB_MODEL_OBJECT_DB_FOREIGN_KEY_OWNER_ID FOREIGN KEY(OWNER_ID) REFERENCES PUBLIC.DB_MODEL_OBJECT(ID) ON DELETE CASCADE;
ALTER TABLE PUBLIC.DB_INDEX ADD CONSTRAINT FK_DB_MODEL_OBJECT_DB_INDEX_OWNER_ID FOREIGN KEY(OWNER_ID) REFERENCES PUBLIC.DB_MODEL_OBJECT(ID) ON DELETE CASCADE;

INSERT INTO CUSTOMFIELD_CONFIG VALUES(50,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Application','Application Name',NULL,NULL,'ApplicationName','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(51,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Application','',NULL,NULL,'Platform','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(52,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Application','Vendor Name who produced the application',NULL,NULL,'Vendor','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(53,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Application','Purpose of the application within organization',NULL,NULL,'Purpose','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(54,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Application','Free-text  notes',NULL,NULL,'Application Notes','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'INVENTORY');

INSERT INTO CUSTOMFIELD_CONFIG VALUES(56,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Database','Database Name',NULL,NULL,'DatabaseName','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(58,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Database','Database State',NULL,NULL,'State','1',NULL,'0','1','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(59,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Database','',NULL,NULL,'Recovery Model','1',NULL,'0','1','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(60,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Database','Free-text database notes',NULL,NULL,'Notes','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(57,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Database','Soft-delete indication',NULL,NULL,'Deleted','1',NULL,'0','1','BOOLEAN',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(61,'system','2012-12-04 07:14:51.000000','system','2012-12-04 07:14:51.000000','Database',NULL,NULL,NULL,'Last Change Date','1',NULL,'0','1','DATE',NULL,NULL,NULL,'INVENTORY');

INSERT INTO CUSTOMFIELD_CONFIG VALUES(63,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','DatabaseUsage','Database Name',NULL,NULL,'DatabaseServer','1',NULL,'0','1','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(64,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','DatabaseUsage','',NULL,NULL,'DatabaseName','1',NULL,'0','1','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(65,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','DatabaseUsage','',NULL,NULL,'ApplicationName','1',NULL,'0','1','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(66,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','DatabaseUsage','',NULL,NULL,'Usage Notes','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(341,'system','2012-12-04 07:14:51.000000','system','2012-12-04 07:14:51.000000','DatabaseUsage',NULL,NULL,NULL,'Last Change Date','1',NULL,'0','1','DATE',NULL,NULL,NULL,'INVENTORY');


INSERT INTO CUSTOMFIELD_CONFIG VALUES(67,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Contact','',NULL,NULL,'ContactName','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(68,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Contact','',NULL,NULL,'ContactEmail','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(69,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Contact','',NULL,NULL,'ContactPhone','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(70,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Contact','',NULL,NULL,'ContactNotes','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(71,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','Contact','',NULL,NULL,'Company','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');


INSERT INTO CUSTOMFIELD_CONFIG VALUES(300,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Column','Human readable column name',NULL,NULL,'Logical Name','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(301,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Column','Foreign Keys or Consistency Check Contains. Use [tableName].[columnName] format for foreign keys.',NULL,NULL,'Constraints','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(302,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Column','See http://en.wikipedia.org/wiki/Data_domain for description',NULL,NULL,'Data Domain','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(303,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Column','Field includes Private or Personal Information that should be handled with care',NULL,NULL,'Sensitive Data','0',NULL,'0','0','BOOLEAN',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(304,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Column','Column Description',NULL,NULL,'Description','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(305,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Model','Name and Contacts of the Model Technical or Business Owner',NULL,NULL,'Model Owner','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(306,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Model','Describe purpose of the model, most important content and tables',NULL,NULL,'Description','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(307,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Model','List of known systems, applications, people that uses the model',NULL,NULL,'Used By','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(308,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Model','Standards and Requirements the model/database should be compliant with: PCI, SOX, HIPAA, naming conventions',NULL,NULL,'Standards','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(309,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Model','Current version of the model',NULL,NULL,'Version','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(310,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Parameter','Parameter Description',NULL,NULL,'Description','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(311,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Procedure','Human-readable procedure name',NULL,NULL,'Logical Name','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(312,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Procedure','Business-Related or Technical-Related Category',NULL,NULL,'Subject Area','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(313,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Procedure','A person who wrote procedure code initially or last modified it',NULL,NULL,'Author','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(314,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Procedure','Description of Stored Procedure. Indicate if the procedure should not be used, because an alternative exists',NULL,NULL,'Description','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(315,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Table','Human-readable table name',NULL,NULL,'Logical Name','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(316,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Table','Business-Related or Technical-Related Category',NULL,NULL,'Subject Area','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(317,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Table','Enter comma-delimited values for the source of records e.g. Cyber, Import from OIT',NULL,NULL,'System of Records','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(318,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Table','Number of rows in the table during last sync',NULL,NULL,'Rows','1',NULL,'0','0','INTEGER',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(319,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Table','Table Category',NULL,NULL,'Table Type','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(320,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Table','Systems that uses the data in the table',NULL,NULL,'Used By','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(321,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','Table','Descriptions of the table, its content and purpose; describe how the data in table is updated, how frequently, specify if only a particular subset of CRUD operations is allowed for the table; add usage scenarios and when to use other tables/views; indicate if the table should not be used, because an alternative exists',NULL,NULL,'Description','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(322,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','View','Human-readable view name',NULL,NULL,'Logical Name','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(323,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','View','Business-Related or Technical-Related Category',NULL,NULL,'Subject Area','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(324,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','View','A person  who wrote view code initially or last modified it',NULL,NULL,'Author','0',NULL,'0','0','STRING',NULL,NULL,NULL,'MODELING');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(325,'default','2010-07-28 18:25:50.000000','default','2010-07-28 18:25:50.000000','View','View Description',NULL,NULL,'Description','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'MODELING');

INSERT INTO CUSTOMFIELD_CONFIG VALUES(326,'system','2012-12-04 07:14:51.000000','system','2012-12-04 07:14:51.000000','Application',NULL,NULL,NULL,'Last Change Date','1',NULL,'0','1','DATE',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(328,'system','2012-12-04 07:14:51.000000','system','2012-12-04 07:14:51.000000','Contact',NULL,NULL,NULL,'Last Change Date','1',NULL,'0','1','DATE',NULL,NULL,NULL,'INVENTORY');

INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(319,'Master');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(319,'Transactional');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(319,'Dictionary/Lookup');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(319,'Secondary');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(319,'Staging');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(319,'History');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(319,'Fact');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(319,'Dimension');


INSERT INTO CUSTOMFIELD_CONFIG VALUES(200,'admin','2013-01-16 16:53:10.581000','admin','2013-01-16 16:53:10.582000','Server',NULL,NULL,NULL,'ServerName','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(205,'admin','2013-01-16 16:52:32.412000','admin','2013-01-16 16:52:32.412000','Server',NULL,NULL,NULL,'Category','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(210,'admin','2013-01-16 16:53:19.574000','admin','2013-01-16 16:53:19.574000','Server',NULL,NULL,NULL,'Operating System','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');

INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Solaris');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'OS X');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Ubuntu');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'CentOS');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Red Hat');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Arch');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Debian');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Fedora');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'FreeBSD');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Gentoo');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'openSUSE');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Windows Server 2000');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Windows Server 2003');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Windows Server 2003 R2');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Windows Server 2008');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Windows Server 2008 R2');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Windows Server 2012');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Windows XP');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Windows Vista');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Windows 7');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(210,'Windows 8');

INSERT INTO CUSTOMFIELD_CONFIG VALUES(215,'admin','2013-01-16 16:53:10.581000','admin','2013-01-16 16:53:10.582000','Server',NULL,NULL,NULL,'Location','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(220,'admin','2013-01-16 16:52:44.063000','admin','2013-01-16 16:53:04.102000','Server',NULL,NULL,NULL,'Environment','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');

INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(220,'Development');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(220,'Quality Assurance');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(220,'Integration');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(220,'Production');


INSERT INTO CUSTOMFIELD_CONFIG VALUES(225,'admin','2013-01-16 16:53:26.040000','admin','2013-01-16 16:53:26.040000','Server',NULL,NULL,NULL,'Maintenance Window','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(230,'admin','2013-01-16 16:54:08.392000','admin','2013-01-16 16:54:08.392000','Server',NULL,NULL,NULL,'Status','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(235,'admin','2013-01-16 16:53:38.773000','admin','2013-01-16 16:53:45.814000','Server',NULL,NULL,NULL,'Server Notes','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(240,'system','2012-12-04 07:14:51.000000','system','2012-12-04 07:14:51.000000','Server',NULL,NULL,NULL,'Last Change Date','1',NULL,'0','1','DATE',NULL,NULL,NULL,'INVENTORY');


INSERT INTO CUSTOMFIELD_CONFIG VALUES(250,'admin','2013-01-16 16:56:29.292000','admin','2013-01-16 16:57:07.087000','Installation',NULL,NULL,NULL,'Environment','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(250,'Development');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(250,'Quality Assurance');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(250,'Integration');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(250,'Production');

INSERT INTO CUSTOMFIELD_CONFIG VALUES(255,'admin','2013-01-16 16:56:09.448000','admin','2013-01-16 16:56:09.448000','Installation',NULL,NULL,NULL,'InstanceName','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(260,'admin','2013-01-16 16:56:21.438000','admin','2013-01-16 16:56:21.438000','Installation',NULL,NULL,NULL,'Installed Version','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(265,'admin','2013-01-16 16:57:19.692000','admin','2013-01-16 16:57:19.692000','Installation',NULL,NULL,NULL,'Maintainance Window','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(270,'admin','2013-01-16 16:57:30.889000','admin','2013-01-16 16:57:30.889000','Installation',NULL,NULL,NULL,'Deployment Notes','0',NULL,'0','0','TEXT',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(275,'admin','2012-12-04 07:14:51.000000','admin','2012-12-04 07:14:51.000000','Installation',NULL,NULL,NULL,'Last Change Date','1',NULL,'0','1','DATE',NULL,NULL,NULL,'INVENTORY');


INSERT INTO CUSTOMFIELD_CONFIG VALUES(73,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','ContactLink','',NULL,NULL,'ContactRole','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(73,'Business Owner');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(73,'Technical Owner');
INSERT INTO CUSTOMFIELD_CONFIG_VALUES_TEXT VALUES(73,'Vendor Contact');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(74,'system','2010-07-28 18:25:50.000000','system','2010-07-28 18:25:50.000000','ContactLink','',NULL,NULL,'Location','0',NULL,'0','0','STRING',NULL,NULL,NULL,'INVENTORY');
INSERT INTO CUSTOMFIELD_CONFIG VALUES(75,'system','2012-12-04 07:14:51.000000','system','2012-12-04 07:14:51.000000','ContactLink',NULL,NULL,NULL,'Last Change Date','1',NULL,'0','1','DATE',NULL,NULL,NULL,'INVENTORY');
