<#function typeOf obj>
  <#if (obj.getClass().getName() == "com.branegy.itinventory.model.compare.Database")>
    <#return "DB">
  <#else>
    <#return obj.getType()>
  </#if>
</#function>

<#macro printPropertyChanges propertyList>
    <#list propertyList as property>
                        property changed ${property.key} | ${property.value1!"<null>"} | ${property.value2!"<null>"}  </ br>
    </#list>
</#macro>
<#compress>
Inventory Comparison
<#list inventorySyncPair.getChildren() as server>
    <#if server.isNew()>
        Server ${server.getDest().getName()} added </ br>
    <#elseif server.isDeleted()>
        Server ${server.getSrc().getName()} removed </ br>
    <#else>
        Server ${server.getSrc().getName()} 
        <#list server.getChildren() as child>
             <#if child.isNew()>
                <#switch typeOf(child.getDest())>
                  <#case "JOB">
                     Job added ${child.getDest().getName()}
                     <#break>
                  <#case "DB">
                     Database added ${child.getDest().getName()}
                     <#break>
                  <#case "USER">
                     User added ${child.getDest().getName()}
                     <#break>
                  </#switch>
             <#elseif child.isDeleted()>
                  <#switch typeOf(child.getSrc())>
                  <#case "JOB">
                     Job removed ${child.getSrc().getName()} 
                     <#break>
                  <#case "DB">
                     Database removed ${child.getSrc().getName()}
                     <#break>
                  <#case "USER">
                     User removed ${child.getSrc().getName()}
                     <#break>
                  </#switch> 
             <#else>
                  <#switch typeOf(child.getSrc())>
                  <#case "JOB">
                     Job changes found for ${child.getSrc().getName()} 
                     <@printPropertyChanges propertyList = child.getExtraData("changes") />
                     <#break>
                  <#case "DB">
                     Database changes found for ${child.getSrc().getName()}
                     <#break>
                  <#case "USER">
                     User changes found for ${child.getSrc().getName()}
                     <@printPropertyChanges propertyList = child.getExtraData("changes") />
                     <#break>
                  </#switch> 
             </#if>
        </#list>
    </#if>
</#list>
</#compress>